#
# spec file for package ncurses
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ncurses
#!BuildIgnore: terminfo
BuildRequires:  gcc-c++
BuildRequires:  screen
%if 0%{?suse_version} > 1130
BuildRequires:  gpm-devel
%else
BuildRequires:  gpm
%endif
%define terminfo() %{_datadir}/%{0}/%{1}
%define tabset()   %{_datadir}/%{0}/%{1}
# bug437293
%ifarch ppc64
Obsoletes:      ncurses-64bit
%endif
#
Version:        5.9
Release:        66.1
Summary:        New curses Libraries
#Git:           http://ncurses.scripts.mit.edu
License:        MIT
Group:          System/Base
Url:            http://invisible-island.net/ncurses/ncurses.html
Source0:        ncurses-%{version}.tar.bz2
Source1:        ncurses-%{version}-patches.tar.bz2
Source2:        handle.linux
Source3:        README.devel
Source4:        ncurses-rpmlintrc
Source5:        tack-1.07-20120916.tar.bz2
Source6:        edit.sed
Source7:        baselibs.conf
Patch0:         ncurses-%{version}.dif
Patch1:         ncurses-5.9-ibm327x.dif
Patch3:         ncurses-5.9-overwrite.dif
Patch4:         ncurses-5.7-tack.dif
# PATCH-FIX-UPSTREAM for bsc#1046853 and bsc#1046858
Patch5:         ncurses-5.9-bsc1046853_1046858.dif
# PATCH-FIX-UPSTREAM for bsc#1056127, bsc#1056128, bsc#1056129, bsc#1056131, bsc#1056132, and bsc#1056136
Patch6:         ncurses-5.9-bsc10561xxx.patch
# PATCH-FIX-UPSTREAM for bsc#1115929
Patch7:         ncurses-5.9-bsc1115929.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%global         _sysconfdir /etc
%global         _miscdir    %{_datadir}/misc
%global         _incdir     %{_includedir}
%global         root        %{_tmppath}/%{name}-%{version}-store
%global         abi         %(ver=%{version}; echo ${ver%.*})

%description
As soon as a text application needs to directly control its output to
the screen (if it wants to place the cursor at location (x,y) then
write text), ncurses is used. The panel and the forms libraries are
included in this package. These new libraries support color, special
characters, and panels.



Authors:
--------
    Thomas E. Dickey <dickey@invisible-island.net>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>
    Eric S. Raymond <esr@thyrsus.com>
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Pavel Curtis

%package -n ncurses-utils
Summary:        Tools using the new curses libraries
License:        MIT
Group:          System/Base
Provides:       ncurses:%{_bindir}/tput

%description -n ncurses-utils
The ncurses based utilities are as follows:

clear -- emits clear-screen for current terminal

tabs -- set tabs on a terminal

toe   -- table of entries utility

tput  -- shell-script access to terminal capabilities.

tset  -- terminal-initialization utility

reset -- terminal initialization utility



Authors:
--------
    Thomas E. Dickey <dickey@invisible-island.net>
    Eric S. Raymond <esr@thyrsus.com>
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>
    Pavel Curtis

%package -n terminfo-base
Summary:        A terminal descriptions database
License:        MIT
Group:          System/Base
Provides:       ncurses:%{_datadir}/tabset

%description -n terminfo-base
This is the terminfo basic database, maintained in the ncurses package.
This database is the official successor to the 4.4BSD termcap file and
contains information about any known terminal. The ncurses library
makes use of this database to use terminals correctly.



Authors:
--------
    Thomas E. Dickey <dickey@invisible-island.net>
    Eric S. Raymond <esr@thyrsus.com>

%if %abi == 5

%package -n libncurses5
Summary:        The New curses Libraries
License:        MIT
Group:          System/Libraries
Requires:       terminfo-base
Provides:       ncurses = %{version}
Obsoletes:      ncurses < %{version}
Recommends:     ncurses-utils = %{version}
# bug437293
%ifarch ppc64
Obsoletes:      ncurses-64bit
%endif
#

%description -n libncurses5
The ncurses library is used by the most curses based terminal
applications for controling its output and input to the screen.



Authors:
--------
    Thomas E. Dickey <dickey@invisible-island.net>
    Eric S. Raymond <esr@thyrsus.com>
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>
    Pavel Curtis

%endif

%package -n libncurses6
Summary:        The New curses Libraries
License:        MIT
Group:          System/Libraries
Requires:       terminfo-base
%if %abi == 5
Provides:       ncurses = 6.0
%else
Provides:       ncurses = %{version}
%endif

%description -n libncurses6 
The ncurses library is used by the most curses based terminal
applications for controling its output and input to the screen.



Authors:
--------
    Thomas E. Dickey <dickey@invisible-island.net>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>
    Eric S. Raymond <esr@thyrsus.com>
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Pavel Curtis

%package -n terminfo
Summary:        A terminal descriptions database
License:        SUSE-Public-Domain
Group:          System/Base

%description -n terminfo
This is the terminfo reference database, maintained in the ncurses
package. This database is the official successor to the 4.4BSD termcap
file and contains information about any known terminal. The ncurses
library makes use of this database to use terminals correctly. If you
just use the Linux console, xterm, and VT100, you probably will not
need this database -- a minimal /usr/share/terminfo tree for these
terminals is already included in the terminfo-base package.



Authors:
--------
    Eric S. Raymond <esr@thyrsus.com>
    Thomas E. Dickey <dickey@invisible-island.net>

%package -n ncurses-devel
Summary:        Include Files and Libraries mandatory for Development
License:        MIT
Group:          Development/Libraries/C and C++
Provides:       ncurses:%{_incdir}/ncurses.h
Requires:       %{_bindir}/tack
Requires:       ncurses = %{version}-%{release}
%if %abi >= 6
Requires:       libncurses6 = %{version}-%{release}
%else
Requires:       libncurses5 = %{version}-%{release}
Requires:       libncurses6 = %{version}-%{release}
%endif
# bug437293
%ifarch ppc64
Obsoletes:      ncurses-devel-64bit
%endif
#

%description -n ncurses-devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Thomas E. Dickey <dickey@invisible-island.net>
    Juergen Pfeifer <Juergen.Pfeifer@t-online.de>
    Eric S. Raymond <esr@thyrsus.com>
    Zeyd M. Ben-Halim <zmbenhal@netcom.com>
    Pavel Curtis

%package -n tack
Summary:        Terminfo action checker
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
Provides:       ncurses-devel:%{_bindir}/tack
Requires:       ncurses = %{version}-%{release}

%description -n tack
This package contains the tack utility to help to build a new terminfo
entry describing an unknown terminal. It can also be used to test the
correctness of an existing entry, and to develop the correct pad
timings needed to ensure that screen updates do not fall behind the
incoming data stream.



Authors:
--------
    Daniel Weaver <danw@znyx.com>
    Eric S. Raymond <esr@thyrsus.com>

%prep
%setup -q -n ncurses-%{version}
rm -fr tack
rm -f  Ada95/src/terminal_interface-curses.adb
rm -f  mkinstalldirs
tar Oxfj %{S:1} | patch -p1 -s
tar  xfj %{S:5}
mv tack-* tack
%patch -P 1 -p0 -b .327x
%patch -P 3 -p0 -b .ow
%patch -P 4 -p0 -b .hs
%patch -P 5 -p0 -b .bo
%patch -P 6 -p0 -b .bx
%patch -P 7 -p0 -b .by
%patch -P 0 -p0 -b .p0
rm -vf include/ncurses_dll.h
rm -vf mkdirs.sh
rm -vf tar-copy.sh
rm -vf mk-dlls.sh

%build
%global _configure	screen -L -D -m ./configure
    SCREENDIR=$(mktemp -d ${PWD}/screen.XXXXXX) || exit 1
    SCREENRC=${SCREENDIR}/ncurses
    export SCREENRC SCREENDIR
    exec 0< /dev/null
    SCREENLOG=${SCREENDIR}/log
    cat > $SCREENRC<<-EOF
	deflogin off
	logfile $SCREENLOG
	logfile flush 1
	logtstamp off
	log on
	setsid on
	scrollback 0
	silence on
	utf8 on
	EOF
    cflags ()
    {
	local flag=$1; shift
	local var=$1; shift
	test -n "${flag}" -a -n "${var}" || return
	case "${!var}" in
	*${flag}*) return
	esac
	set -o noclobber
	case "$flag" in
	-Wl,*)
	    if echo 'int main () { return 0; }' | \
	       ${CC:-gcc} -Werror $flag -o /dev/null -xc - > /dev/null 2>&1 ; then
		eval $var=\${$var:+\$$var\ }$flag
	    fi
	    ;;
	*)
	    if ${CC:-gcc} -Werror $flag -S -o /dev/null -xc /dev/null > /dev/null 2>&1 ; then
		eval $var=\${$var:+\$$var\ }$flag
	    fi
	    if ${CXX:-g++} -Werror $flag -S -o /dev/null -xc++ /dev/null > /dev/null 2>&1 ; then
		eval $var=\${$var:+\$$var\ }$flag
	    fi
	esac
	set +o noclobber
    }

    test ! -f /.buildenv || . /.buildenv
       OPATH=$PATH
%ifarch s390x s390
      FALLBK="xterm,ibm327x,vt100,vt102,vt220"
%else
      FALLBK="xterm,linux,vt100,vt102"
%endif
	  CC=gcc
	 CXX=g++
    CFLAGS="${RPM_OPT_FLAGS} -pipe -D_REENTRANT"
    if [[ "$BUILD_BASENAME" = debug-* ]] ; then
	CFLAGS="${CFLAGS} -g -DTRACE"
    fi
    cflags -Wl,-O2                  LDFLAGS
    cflags -Wl,-Bsymbolic-functions LDFLAGS
    cflags -Wl,--hash-size=8599     LDFLAGS
    cflags -Wl,--as-needed          LDFLAGS
    CXXFLAGS=$CFLAGS
    test -n "$TERM" || TERM=linux
    GZIP="-9"
    export CC CFLAGS CXX CXXFLAGS GZIP TERM LDFLAGS
    #
    # Detect 64bit architecures and be sure that
    # we use an unsigned long for chtype to be
    # backward compatible with ncurses 5.4
    #
    echo 'int main () { return !(sizeof(void*) >= 8); }' | gcc -x c -o test64 -
    if ./test64 ; then
	WITHCHTYPE="--with-chtype=long"
    else
	WITHCHTYPE=""
	CFLAGS="${CFLAGS} -D_LARGEFILE64_SOURCES -D_FILE_OFFSET_BITS=64"
    fi
    rm -f ./test64
    #
    # For security of some configure and install scripts
    #
    TMPDIR=$(mktemp -d /tmp/ncurses.XXXXXXXX) || exit 1
    trap 'rm -rf ${TMPDIR}' EXIT
    export TMPDIR
    #
    # No --enable-term-driver as this had crashed last time
    # in ncurses/tinfo/lib_setup.c due to the fact that
    # _nc_globals.term_driver was a NULL function pointer
    #
    # No --enable-tcap-names because we may have to recompile
    # programs or foreign programs won't work
    #
    # No --enable-safe-sprintf because this seems to
    # crash on some architectures
    #
    # No --enable-xmc-glitch because this seems to break yast2
    # on console/konsole (no magic cookie support on those?)
    #
    # No --with-termlib=tinfo because libncurses depend on
    # libtinfo (is linked with) and therefore there is no
    # advantage about splitting of a libtinfo (IMHO).
    #
    touch --reference=README config.sub config.guess
    > $SCREENLOG
    tail -q -s 0.5 -f $SCREENLOG & pid=$!
    %configure \
	--without-ada		\
	--without-debug		\
	--without-profile	\
	--without-manpage-tbl	\
	--with-shared		\
	--with-normal		\
	--with-manpage-format=gzip \
	--with-manpage-renames=${PWD}/man/man_db.renames \
	--with-manpage-aliases	\
	--with-ospeed=speed_t	\
	--with-gpm		\
	--with-dlsym		\
	--with-termlib=tinfo	\
	--with-ticlib=tic	\
	--with-xterm-kbs=del	\
	--disable-root-environ	\
	--disable-termcap	\
	--disable-overwrite	\
	--disable-rpath		\
	--disable-rpath-hack	\
	--disable-leaks		\
	--disable-xmc-glitch	\
	--enable-symlinks	\
	--enable-big-core	\
	--enable-const		\
	--enable-hashmap	\
	--enable-no-padding	\
	--enable-symlinks	\
	--enable-sigwinch	\
	--enable-colorfgbg	\
	--enable-sp-funcs	\
%if %abi >= 6
	--with-pthread		\
	--enable-reentrant	\
	--enable-ext-mouse	\
	--disable-widec		\
	--enable-ext-colors	\
%else
	--without-pthread	\
	--disable-reentrant	\
	--disable-ext-mouse	\
	--disable-widec		\
	--disable-ext-colors	\
%endif
	--enable-weak-symbols	\
	--enable-wgetch-events	\
	--enable-pthreads-eintr	\
	--enable-string-hacks	\
	--prefix=%{_prefix}	\
	--exec-prefix=%{_prefix}\
	--libdir=%{_libdir}	\
	--datadir=%{_datadir}	\
	--mandir=%{_mandir}	\
	--includedir=%{_incdir}	\
	"${WITHCHTYPE}" 	\
	--disable-widec		\
	--disable-tic-depends	\
	--with-cxx-shared	\
	--with-ticlib=tic
    kill $pid
    #
    #  The configure line
    #
    c=$(grep '^ *$ *\./configure' config.log)
    #
    # This is a hack to be able to boot strap
    # a libncurses with correct fallback.c.
    #
    make %{?_smp_mflags} -C include
    make %{?_smp_mflags} -C ncurses fallback.c FALLBACK_LIST=""
    make %{?_smp_mflags} -C progs   termsort.c transform.h infocmp tic
    rm   -f ncurses/fallback.c
    PATH=$PWD/progs:$OPATH
    LD_LIBRARY_PATH=$PWD/lib
    export LD_LIBRARY_PATH PATH
    pushd ncurses/
	TERMINFO=$PWD/tmp
	export TERMINFO
	mkdir -p $TERMINFO
	cp -p $PWD/../progs/tic $PWD/../progs/tic.build
	cp -p $PWD/../progs/infocmp $PWD/../progs/infocmp.build
	(cat > ${PWD}/.build_tic)<<-EOF
%if 0%{?_crossbuild}
		export BUILD_TIC=/usr/bin/tic
		export BUILD_INFOCMP=/usr/bin/infocmp
%else
		export BUILD_TIC=$PWD/../progs/tic.build
		export BUILD_INFOCMP=$PWD/../progs/infocmp.build
%endif
	EOF
	. ${PWD}/.build_tic
	$BUILD_TIC -I -r -e $FALLBK ../misc/terminfo.src > terminfo.src
	$BUILD_TIC -o $TERMINFO -s terminfo.src
	sh -e ./tinfo/MKfallback.sh $TERMINFO ../misc/terminfo.src $BUILD_TIC ${FALLBK//,/ } > fallback.c
	rm -rf $TERMINFO
	unset  TERMINFO
	cp -p fallback.c ../fallback.c.build
    popd
    PATH=$OPATH
    unset LD_LIBRARY_PATH
    #
    # Refresh second install path
    #
    rm -rf %{root}
    mkdir  %{root}
    #
    # Now rebuild libncurses and do the rest of this job
    #
    find -name fallback.o | xargs -r rm -vf
    cp fallback.c.build ncurses/fallback.c
    make -C c++ etip.h
    make %{?_smp_mflags}
    # must not use %jobs here (would lead to: ln: ncurses.h already exists)
    find man/ -name '*.[1-8]x.*' | xargs -r rm -vf
    make install DESTDIR=%{root} includedir=%{_incdir} includesubdir=/ncurses libdir=%{_libdir}
    ln -sf %{_incdir}/ncurses/{curses,ncurses,term,termcap}.h %{root}%{_incdir}
    sh %{S:6} --cflags "-I%{_incdir}/ncurses" --libs "-lncurses" --libs "-ltinfo" %{root}%{_bindir}/ncurses5-config
    #
    # Check for tack program on base of above ncurses
    #
    LD_LIBRARY_PATH=$PWD/lib
    export LD_LIBRARY_PATH PATH
    pushd tack/
%if 0%{?qemu_user_space_build:1}%{?_crossbuild}
	echo "Skipping LDD test due to running under QEMU / cross-building"
%else
	ldd ./tack
%endif
    popd
    unset LD_LIBRARY_PATH
    test ! -L tack || rm -f tack
%if %abi < 6
    make clean
    #
    # Now use --with-pthread for reentrant pthread support (abi > 5).
    #
    > $SCREENLOG
    tail -q -s 0.5 -f $SCREENLOG & pid=$!
    eval screen -L -D -m ./${c#*./} --with-pthread --enable-reentrant --enable-ext-mouse --disable-widec --disable-ext-colors --without-progs
    kill $pid
    find -name fallback.o | xargs -r rm -vf
    cp fallback.c.build ncurses/fallback.c
    make -C c++ etip.h
    make %{?_smp_mflags}
    # must not use %jobs here (would lead to: ln: ncurses.h already exists)
    make install.libs install.includes DESTDIR=%{root} includedir=%{_incdir}/ncurses6 includesubdir=/ncurses libdir=%{_libdir}/ncurses6
    ln -sf %{_incdir}/ncurses6/ncurses/{curses,ncurses,term}.h %{root}%{_incdir}/ncurses6/
    sh %{S:6} --cflags "-I%{_incdir}/ncurses6/ncurses -I%{_incdir}/ncurses6" --libs "-L%{_libdir}/ncurses6 -lncurses" --libs "-ltinfo" %{root}%{_bindir}/ncurses6-config
    pushd man
	sh ../edit_man.sh normal installing %{root}%{_mandir} . ncurses6-config.1
    popd
%endif
    make clean
    #
    # Now use --enable-widec for UTF8/wide character support.
    # The libs with 16 bit wide characters are binary incompatible
    # to the normal 8bit wide character libs.
    #
    > $SCREENLOG
    tail -q -s 0.5 -f $SCREENLOG & pid=$!
%if %abi >= 6
    eval screen -L -D -m ./${c#*./} --with-pthread --enable-reentrant --enable-ext-mouse --enable-widec --enable-ext-colors --without-progs
%else
    eval screen -L -D -m ./${c#*./} --disable-ext-mouse --enable-widec --disable-ext-colors --without-progs
%endif
    kill $pid
    find -name fallback.o | xargs -r rm -vf
    cp fallback.c.build ncurses/fallback.c
    make -C c++ etip.h
    make %{?_smp_mflags}
    # must not use %jobs here (would lead to: ln: ncurses.h already exists)
    make install.libs install.includes DESTDIR=%{root} includedir=%{_incdir} includesubdir=/ncursesw libdir=%{_libdir}
    sh %{S:6} --cflags "-I%{_incdir}/ncursesw" --libs "-lncursesw" --libs "-ltinfo" %{root}%{_bindir}/ncursesw5-config
    pushd man
	sh ../edit_man.sh normal installing %{root}%{_mandir} . ncursesw5-config.1
    popd
%if %abi < 6
    make clean
    #
    # Do both --enable-widec and --with-pthread (abi > 5).
    #
    > $SCREENLOG
    tail -q -s 0.5 -f $SCREENLOG & pid=$!
    eval screen -L -D -m ./${c#*./} --with-pthread --enable-reentrant --enable-ext-mouse --enable-widec --enable-ext-colors --without-progs
    kill $pid
    find -name fallback.o | xargs -r rm -vf
    cp fallback.c.build ncurses/fallback.c
    make -C c++ etip.h
    make %{?_smp_mflags}
    # must not use %jobs here (would lead to: ln: ncurses.h already exists)
    make install.libs install.includes DESTDIR=%{root} includedir=%{_incdir}/ncurses6 includesubdir=/ncursesw libdir=%{_libdir}/ncurses6
    sh %{S:6} --cflags "-I%{_incdir}/ncurses6/ncursesw -I%{_incdir}/ncurses6" --libs "-L%{_libdir}/ncurses6 -lncursesw" --libs "-ltinfo" %{root}%{_bindir}/ncursesw6-config
    pushd man
	sh ../edit_man.sh normal installing %{root}%{_mandir} . ncursesw6-config.1
    popd
%endif

%install
    GZIP="-9"
    export GZIP
    (cd %{root}/; tar -cpSf - *)|tar -xpsSf - -C %{buildroot}/
    rm -rf %{root}
    mkdir %{buildroot}/%{_lib}
    for model in libncurses libncursest libncursesw libncursestw libtinfo
    do
	for lib in %{buildroot}%{_libdir}/${model}.so.* ; do
	    test   -e "${lib}" || continue
	    mv "${lib}" %{buildroot}/%{_lib}/ || continue
	done
	for lib in %{buildroot}/%{_lib}/${model}.so.%{abi} ; do
	    test -e "${lib}" || continue
	    test -L "${lib}" || continue
	    lib=${lib#%{buildroot}}
	    lnk=%{buildroot}%{_libdir}/${model}.so
	    case "${lib##*/}" in
	    libncurses*)
		rm -f ${lnk}
		echo '/* GNU ld script */'		>  ${lnk}
		echo "INPUT(${lib} AS_NEEDED(-ltinfo))" >> ${lnk}
		;;
	    *)	ln -sf ${lib} %{buildroot}%{_libdir}/${model}.so
	    esac
	done
    done
%if 0
    lnk=%{buildroot}%{_libdir}/libtermcap.so
    echo '/* GNU ld script */'		>  ${lnk}
    echo "INPUT(AS_NEEDED(-ltinfo))"	>> ${lnk}
%endif
    chmod 0755 %{buildroot}/%{_lib}/lib*.so.*
    chmod 0755 %{buildroot}/%{_libdir}/lib*.so.*
    chmod a-x  %{buildroot}/%{_libdir}/lib*.a
%if %abi < 6
    if test -d %{buildroot}%{_libdir}/ncurses6 ; then
	mv %{buildroot}%{_libdir}/ncurses6/*.so.6*   %{buildroot}%{_libdir}/
	for lib in %{buildroot}%{_libdir}/ncurses6/*.so
	do
	    lnk=$lib
	    lib=/%{_lib}/${lib##*/}.6
	    case "${lib##*/}" in
	    libncurses*)
		rm -f "${lnk}"
		echo '/* GNU ld script */'		>  ${lnk}
		echo "INPUT(${lib} AS_NEEDED(-ltinfo))"	>> ${lnk} 
		;;
	    libtinfo*)
		test -L "${lnk}" || continue
		ln -sf ${lib} ${lnk}
		;;
	    *)
		test -L "${lnk}" || continue
		ln -sf ../${lib##*/} ${lnk}
	    esac
	done
	for model in libncurses libncursest libncursesw libncursestw libtinfo
	do
	    for lib in %{buildroot}%{_libdir}/${model}.so.* ; do
		test   -e "${lib}" || continue
		mv "${lib}" %{buildroot}/%{_lib}/ || continue
	    done
	    for lib in %{buildroot}/%{_lib}/${model}.so.6 ; do
		test -e "${lib}" || continue
		test -L "${lib}" || continue
		lib=${lib#%{buildroot}}
		lnk=%{buildroot}%{_libdir}/ncurses6/${model}.so
		case "${lib##*/}" in
		libncurses*)
		    rm -f ${lnk}
		    echo '/* GNU ld script */'		    >  ${lnk}
		    echo 'SEARCH_DIR(%{_libdir}/ncurses6)'  >> ${lnk}
		    echo "INPUT(${lib} AS_NEEDED(-ltinfo))" >> ${lnk}
		    ;;
		*)  ln -sf ${lib} %{buildroot}%{_libdir}/ncurses6/${model}.so
	    esac
	    done
	done
	chmod 0755 %{buildroot}/%{_lib}/lib*.so.6*
	chmod 0755 %{buildroot}/%{_libdir}/lib*.so.6*
	chmod a-x  %{buildroot}/%{_libdir}/ncurses6/lib*.a
    fi
%endif
    test -n "%{buildroot}" || ldconfig -N
    mkdir -p %{buildroot}%{_defaultdocdir}/ncurses
    bzip2 -c misc/terminfo.src > misc/terminfo.src.bz2
    install -m 644 misc/terminfo.src.bz2	%{buildroot}%{_defaultdocdir}/ncurses/
    install -m 644 doc/html/*.html		%{buildroot}%{_defaultdocdir}/ncurses/
    bzip2 doc/ncurses-intro.doc -c > doc/ncurses-intro.txt.bz2
    install -m 644 doc/ncurses-intro.txt.bz2	%{buildroot}%{_defaultdocdir}/ncurses/
    bzip2 doc/hackguide.doc -c > doc/hackguide.txt.bz2
    install -m 644 doc/hackguide.txt.bz2	%{buildroot}%{_defaultdocdir}/ncurses/
    install -m 644 %{S:3}			%{buildroot}%{_defaultdocdir}/ncurses/
    install -m 644 README			%{buildroot}%{_defaultdocdir}/ncurses/
    install -m 644 NEWS				%{buildroot}%{_defaultdocdir}/ncurses/
    mkdir -p %{buildroot}%{_sysconfdir}
    mkdir -p %{buildroot}%{_miscdir}
    LD_LIBRARY_PATH=%{buildroot}%{_libdir}:%{buildroot}/%{_lib}
    export LD_LIBRARY_PATH
    pushd ncurses/
	. ${PWD}/.build_tic
	{ echo "# See annotated version in %{_defaultdocdir}/ncurses/terminfo.src.bz2"
	$BUILD_TIC -C -r ../misc/terminfo.src | grep -E -v '^#'; } > termcap
	# Gererate new termcap entries for various linux consoles
	TERMCAP=termcap \
	TERMINFO=%{buildroot}%{_datadir}/terminfo \
	    bash %{SOURCE2}
	install -m 0644 termcap.new %{buildroot}%{_miscdir}/termcap
    popd
    unset LD_LIBRARY_PATH
    if test `%{_bindir}/id -u` = '0' ; then
	chown root:root %{buildroot}%{_miscdir}/termcap
	chmod 0644      %{buildroot}%{_miscdir}/termcap
    fi
    ln -sf %{_miscdir}/termcap %{buildroot}%{_sysconfdir}/termcap
    (cat > default.list) <<-EOF
	%{tabset std}
	%{tabset stdcrt}
	%{tabset vt100}
	%{tabset vt300}
	%{terminfo a/ansi}
	%{terminfo a/arpanet}
	%{terminfo d/dumb}
	%{terminfo d/dialup}
	%{terminfo g/gnome}
	%{terminfo g/gnome-rh72}
	%{terminfo g/gnome-rh80}
	%{terminfo g/gnome-rh90}
	%{terminfo g/gnome-fc5}
	%{terminfo i/ibm327x}
	%{terminfo k/klone+color}
	%{terminfo k/konsole}
	%{terminfo k/konsole-256color}
	%{terminfo k/kvt}
	%{terminfo k/kvt-rh}
	%{terminfo l/linux}
	%{terminfo l/linux-m}
	%{terminfo l/linux-nic}
	%{terminfo m/mlterm}
	%{terminfo n/net}
	%{terminfo n/network}
	%{terminfo n/nxterm}
	%{terminfo p/patch}
	%{terminfo r/rxvt}
	%{terminfo r/rxvt-basic}
	%{terminfo r/rxvt-color}
	%{terminfo r/rxvt-256color}
	%{terminfo r/rxvt-unicode}
	%{terminfo r/rxvt-unicode-256color}
	%{terminfo s/screen}
	%{terminfo s/screen-w}
	%{terminfo s/screen-256color}
	%{terminfo s/sun}
	%{terminfo s/switch}
	%{terminfo u/unknown}
	%{terminfo v/vt100}
	%{terminfo v/vt102}
	%{terminfo v/vt220}
	%{terminfo v/vt220-8}
	%{terminfo v/vt220-8bit}
	%{terminfo v/vt320}
	%{terminfo v/vt52}
	%{terminfo v/vte}
	%{terminfo x/xterm}
	%{terminfo x/xterm-color}
	%{terminfo x/xterm-256color}
	%{terminfo x/xterm-basic}
	%{terminfo x/xterm-nic}
	%{terminfo x/xterm-r6}
	EOF
    find %{buildroot}%{tabset ""} %{buildroot}%{terminfo ""} \
	\( -type f -or -type l \) | \
	sed "s@^%{buildroot}@@g" | \
	grep -v -F -x -f default.list \
	> extension.list
    rm -f %{buildroot}%{_prefix}/lib/terminfo
%if %abi < 6

%post   -n libncurses5 -p /sbin/ldconfig

%postun -n libncurses5 -p /sbin/ldconfig
%endif

%post   -n libncurses6 -p /sbin/ldconfig

%postun -n libncurses6 -p /sbin/ldconfig

%files -n terminfo-base -f default.list
%defattr(-,root,root)
%{_sysconfdir}/termcap
%config %{_miscdir}/termcap
%dir %{_datadir}/tabset/
%dir %{_datadir}/terminfo/
%dir %{_datadir}/terminfo/*/

%files -n ncurses-utils
%defattr(-,root,root)
%{_bindir}/clear
%{_bindir}/reset
%{_bindir}/tabs
%{_bindir}/toe
%{_bindir}/tput
%{_bindir}/tset
%doc %{_mandir}/man1/clear.1.gz
%doc %{_mandir}/man1/reset.1.gz
%doc %{_mandir}/man1/tabs.1.gz
%doc %{_mandir}/man1/toe.1.gz
%doc %{_mandir}/man1/tput.1.gz
%doc %{_mandir}/man1/tset.1.gz
%doc %{_mandir}/man5/*.gz
%if %abi == 5

%files -n libncurses5
%defattr(-,root,root)
/%{_lib}/lib*.so.5*
%{_libdir}/lib*.so.5*
%endif

%files -n libncurses6
%defattr(-,root,root)
/%{_lib}/lib*.so.6*
%{_libdir}/lib*.so.6*

%files -n ncurses-devel
%defattr(-,root,root)
%dir %{_defaultdocdir}/ncurses/
%doc %{_defaultdocdir}/ncurses/*
%{_bindir}/ncurses*-config
%{_bindir}/captoinfo
%{_bindir}/infocmp
%{_bindir}/infotocap
%{_bindir}/tic
%dir %{_incdir}/ncurses/
%dir %{_incdir}/ncursesw/
%dir %{_incdir}/ncurses6/
%dir %{_incdir}/ncurses6/ncurses/
%dir %{_incdir}/ncurses6/ncursesw/
%{_incdir}/*.h
%{_incdir}/ncurses*/*.h
%{_incdir}/ncurses*/*/*.h
%dir %{_libdir}/ncurses6/
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/ncurses6/lib*.a
%{_libdir}/ncurses6/lib*.so
%doc %{_mandir}/man1/*-config.1.gz
%doc %{_mandir}/man1/captoinfo.1.gz
%doc %{_mandir}/man1/infocmp.1.gz
%doc %{_mandir}/man1/infotocap.1.gz
%doc %{_mandir}/man1/tic.1.gz
%doc %{_mandir}/man3/*.gz
%doc %{_mandir}/man7/*.gz

%files -n tack
%defattr(-,root,root)
%{_bindir}/tack
%doc %{_mandir}/man1/tack.1.gz

%files -f extension.list -n terminfo
%defattr(-,root,root)

%changelog
* Tue Nov 20 2018 Dr. Werner Fink <werner@suse.de>
- Add patch ncurses-5.9-bsc1115929.patch
  * For bug bsc#1115929 port back null pointer checks to catch e.g.
    the crash in _nc_parse_entry(), belongs to CVE-2018-19211
* Thu Nov 30 2017 werner@suse.de
- Modify patch ncurses-5.9-bsc10561xxx.patch
  to include backport of ncurses-6.0-20170902.patch as well (bsc#1056127)
* Tue Sep 12 2017 werner@suse.de
- Add patch ncurses-5.9-bsc10561xxx.patch
  Backport fixes for bugs bsc#1056126 (CVE-2017-13734) bsc#1056127
  (CVE-2017-13733), bsc#1056128 (CVE-2017-13732), bsc#1056129
  (CVE-2017-13731), bsc#1056131 (CVE-2017-13730), bsc#1056132
  (CVE-2017-13729), and bsc#1056136 (CVE-2017-13728)
  from ncurses-6.0-20170826
* Wed Jul 19 2017 werner@suse.de
- Modify patch ncurses-5.9-bsc1046853_1046858.dif to avoid broken
  termcap format caused by the backport of change 20170701  (boo#1049344)
* Mon Jul 10 2017 werner@suse.de
- Modify patch ncurses-5.9-bsc1046853_1046858.dif to add the last
  change from patch 20170708 for ncurses 6.0 to fix CVE-2017-10684
  and CVE-2017-10685 on 32bit (bsc#1046853, bsc#1046858)
- This also fixes CVE-2017-11112 and CVE-2017-11113 (bsc#1047964,
  bsc#1047965)
* Mon Jul  3 2017 werner@suse.de
- Add patch ncurses-5.9-bsc1046853_1046858.dif which is a backport
  from patch 20170701 for ncurses 6.0 to fix CVE-2017-10684 and
  CVE-2017-10685 (bsc#1046853, bsc#1046858)
* Thu Oct 27 2016 werner@suse.de
- Drop patch ncurses-5.9-environment.dif as YaST2 ncurses GUI does
  not need it anymore and as well as it causes bug bsc#1000662
* Mon Feb  3 2014 werner@suse.de
- Add ncurses patch 20140201
  + add/use symbol NCURSES_PAIRS_T like NCURSES_COLOR_T, to illustrate
    which "short" types are for color pairs and which are color values.
  + fix build for s390x, by correcting field bit offsets in generated
    representation clauses when int=32 long=64 and endian=big, or at
    least on s390x (patch by Nicolas Boulenguez).
  + minor cleanup change to test/form_driver_w.c (patch by Gaute Hope).
- Add ncurses patch 20140125
  + remove unnecessary ifdef's in Ada95/gen/gen.c, which reportedly do
    not work as is with gcc 4.8 due to fixes using chtype cast made for
    new compiler warnings by gcc 4.8 in 20130824 (Debian #735753, patch
    by Nicolas Boulenguez).
* Tue Jan 28 2014 werner@suse.de
- Add patch ncurses-5.9-ibm327x.dif to make ibm327x not a generic
  terminal type but a more dumb one (bnc#859214)
* Mon Jan 20 2014 werner@suse.de
- Add ncurses patch 20140118
  + apply includesubdir variable which was introduced in 20130805 to
    gen-pkgconfig.in (Debian #735782).
- Correct spec file irarch to make S390(x) fallback terminal types
  working on S390(x) (bnc#859214)
* Tue Dec 17 2013 werner@suse.de
- Add ncurses patch 20131214
  + modify configure-script/ifdef's to allow OLD_TTY feature to be
    suppressed if the type of ospeed is configured using the option
  - -with-ospeed to not be a short.  By default, it is a short for
    termcap-compatibility (adapted from suggestion by Christian
    Weisgerber).
  + correct a typo in _nc_baudrate() (patch by Christian Weisgerber,
    cf: 20061230).
  + fix a few -Wlogical-op warnings.
  + updated llib-l* files.
* Tue Dec 10 2013 werner@suse.de
- Add ncurses patch 20131207
  + add form_driver_w() entrypoint to wide-character forms library,
    as well as test program form_driver_w (adapted from patch by
    Gaute Hope).
* Fri Nov 29 2013 werner@suse.de
- Add ncurses patch 20131123
  + minor fix for CF_GCC_WARNINGS to special-case options which are not
  recognized by clang.
- Add ncurses patch 20131116
  + add special case to configure script to move _XOPEN_SOURCE_EXTENDED
    definition from CPPFLAGS to CFLAGS if it happens to be needed for
    Solaris, because g++ errors with that definition (report by
    Jean-Pierre Flori, Sage #15268).
  + correct logic in infocmp's -i option which was intended to ignore
    strings which correspond to function-keys as candidates for piecing
    together initialization- or reset-strings.  The problem dates to
    1.9.7a, but was overlooked until changes in -Wlogical-op warnings for
    gcc 4.8 (report by David Binderman).
  + updated CF_GCC_WARNINGS to documented options for gcc 4.9.0, adding
    checks for -Wextra, -Wignored-qualifiers and -Wlogical-op
  + updated CF_GCC_WARNINGS to documented options for gcc 4.9.0, moving
    checks for -Wextra and -Wdeclaration-after-statement into the macro,
    and adding checks for -Wignored-qualifiers, -Wlogical-op and -Wvarargs
  + updated CF_CURSES_UNCTRL_H and CF_SHARED_OPTS macros from ongoing
    work on cdk.
- Add ncurses patch 20131110
  + minor cleanup of terminfo.tail
* Fri Nov 29 2013 werner@suse.de
- On S390(x) use other fallback terminal types, that is have the
  ibm327x and vt220 available even if no terminfo-base is installed.
* Wed Nov  6 2013 werner@suse.de
- Add ncurses patch 20131102
  + use TS extension to describe xterm's title-escapes -TD
  + modify terminator and nsterm-s to use xterm+sl-twm building block -TD
  + simplify pfkey expression in ansi.sys -TD
* Tue Oct 29 2013 werner@suse.de
- Make it build even with new tar command
- Add ncurses patch 20131027
  + correct/simplify ifdef's for cur_term versus broken-linker and
    reentrant options (report by Jean-Pierre Flori, cf: 20090530).
  + modify release/version combinations in test build-scripts to make
    them more consistent with other packages.
- Add ncurses patch 20131019
  + add nc_mingw.h to installed headers for MinGW port; needed for
    compiling ncurses-examples.
  + add rpm-script for testing cross-compile of ncurses-examples.
- Add ncurses patch 20131014
  + fix new typo in CF_ADA_INCLUDE_DIRS macro (report by Roumen Petrov).
- Add ncurses patch 20131012
  + fix a few compiler warnings in progs and test.
  + minor fix to package/debian-mingw/rules, do not strip dll's.
  + minor fixes to configure script for empty $prefix, e.g., when doing
    cross-compiles to MinGW.
  + add script for building test-packages of binaries cross-compiled to
    MinGW using NSIS.
- Add ncurses patch 20131005
  + minor fixes for ncurses-example package and makefile.
  + add scripts for test-builds of cross-compiler packages for ncurses6
    to MinGW.
- Add ncurses patch 20130928
  + some build-fixes for ncurses-examples with NetBSD-6.0 curses, though
    it lacks some common functions such as use_env() which is not yet
    addressed.
  + build-fix and some compiler warning fixes for ncurses-examples with
    OpenBSD 5.3
  + fix a possible null-pointer reference in a trace message from newterm.
  + quiet a few warnings from NetBSD 6.0 namespace pollution by
    nonstandard popcount() function in standard strings.h header.
  + ignore g++ 4.2.1 warnings for "-Weffc++" in c++/cursesmain.cc
  + fix a few overlooked places for --enable-string-hacks option.
* Mon Sep 30 2013 werner@suse.de
- Add ncurses patch 20130928
  + fix a possible null-pointer reference in a trace message from newterm.
  + ignore g++ 4.2.1 warnings for "-Weffc++" in c++/cursesmain.cc
  + fix a few overlooked places for --enable-string-hacks option.
- Add ncurses patch 20130921
  + fix typo in curs_attr.3x (patch by Sven Joachim, cf: 20130831).
  + build-fix for --with-shared option for DragonFly and FreeBSD (report
    by Rong-En Fan, cf: 20130727).
- Add ncurses patch 20130907
  + revert change to two of the dpkg format files, to work with dpkg
    before/after Debian #700177.
  + fix gcc -Wconversion warning in wattr_get() macro.
  + add msys and msysdll to known host/configuration types (patch by
    Alexey Pavlov).
  + modify CF_RPATH_HACK configure macro to not rely upon "-u" option
    of sort, improving portability.
- Add ncurses patch 20130831
  + modify test/ncurses.c b/B tests to display lines only for the
    attributes which a given terminal supports, to make room for an
    italics test.
  + completed ncv table in terminfo.tail; it did not list the wide
    character codes listed in X/Open Curses issue 7.
  + add A_ITALIC extension (prompted by discussion with Egmont Koblinger).
- Add ncurses patch 20130824
  + fix some gcc 4.8 -Wconversion warnings.
  + change format of dpkg test-scripts to quilted to work around bug
    introduced by Debian #700177.
  + discard cached keyname() values if meta() is changed after a value
    was cached using (report by Kurban Mallachiev).
- Add ncurses patch 20130816
  + add checks in tic to warn about terminals which lack cursor
    addressing, capabilities or having those, are marked as hard_copy or
    generic_type.
  + use --without-progs in mingw-ncurses rpm.
  + split out _nc_init_termtype() from alloc_entry.c to use in MinGW
    port when tic and other programs are not needed.
- Add ncurses patch 20130805
  + add --disable-db-install configure option, to simplify building
    cross-compile support packages.
* Mon Aug  5 2013 werner@suse.de
- Add ncurses patch 20130805
  + minor fixes to the --disable-overwrite logic, to ensure that the
    configured $(includedir) is not cancelled by the mingwxx-filesystem
    rpm macros.
  + add --disable-db-install configure option, to simplify building
    cross-compile support packages.
- Add ncurses patch 20130727
  + improve configure macros from ongoing work on cdk, dialog, xterm:
    + CF_ADD_LIB_AFTER - fix a problem with -Wl options
    + CF_RPATH_HACK - add missing result-message
    + CF_SHARED_OPTS - modify to use $rel_builddir in cygwin and mingw
    dll symbols (which can be overridden) rather than explicit "../".
    + CF_SHARED_OPTS - modify NetBSD and DragonFly symbols to use ${CC}
    rather than ${LD} to improve rpath support.
    + CF_SHARED_OPTS - add a symbol to denote the temporary files that
    are created by the macro, to simplify clean-rules.
    + CF_X_ATHENA - trim extra libraries to work with -Wl,--as-needed
  + fix a regression in hashed-database support for NetBSD, which uses
    the key-size differently from other implementations (cf: 20121229).
- Add ncurses patch 20130720
  + further improvements for setupterm manpage, clarifying the
    initialization of cur_term.
- Add ncurses patch 20130713
  + improve manpages for initscr and setupterm.
  + minor compiler-warning fixes
- Add ncurses patch 20130706
  + add fallback defs for <inttypes.h> and <stdint.h> (cf: 20120225).
  + add check for size of wchar_t, use that to suppress a chunk of
    wcwidth.h in MinGW port.
  + quiet linker warnings for MinGW cross-compile with dll's using the
  - -enable-auto-import flag.
  + add ncurses.map rule to ncurses/Makefile to help diagnose symbol
    table issues.
- Add ncurses patch 20130622
  + modify the clear program to take into account the E3 extended
    capability to clear the terminal's scrollback buffer (patch by
    Miroslav Lichvar, Redhat #815790).
  + clarify in resizeterm manpage that LINES and COLS are updated.
  + updated ansi example in terminfo.tail, correct misordered example
    of sgr.
  + fix other doclifter warnings for manpages
  + remove unnecessary ".ta" in terminfo.tail, add missing ".fi"
    (patch by Eric Raymond).
- Add ncurses patch 20130615
  + minor changes to some configure macros to make them more reusable.
  + fixes for tabs program (prompted by report by Nick Andrik):
    + corrected logic in command-line parsing of -a and -c predefined
    tab-lists options.
    + allow "-0" and "-8" options to be combined with others, e.g.,"-0d".
    + make warning messages more consistent with the other utilities by
    not printing the full pathname of the program.
    + add -V option for consistency with other utilities.
  + fix off-by-one in columns for tabs program when processing an option
    such as "-5" (patch by Nick Andrik).
- Add ncurses patch 20130608
  + add to test/demo_forms.c examples of using the menu-hooks as well
    as showing how the menu item user-data can be used to pass a callback
    function pointer.
  + add test/dots_termcap.c
  + remove setupterm call from test/demo_termcap.c
  + build-fix if --disable-ext-funcs configure option is used.
  + modified test/edit_field.c and test/demo_forms.c to move the lengths
    into a user-data structure, keeping the original string for later
    expansion to free-format input/out demo.
  + modified test/demo_forms.c to load data from file.
  + added note to clarify Terminal.app's non-emulation of the various
    terminal types listed in the preferences dialog -TD
  + fix regression in error-reporting in lib_setup.c (Debian #711134,
    cf: 20121117).
  + build-fix for a case where --enable-broken_linker and
  - -enable-reentrant options are combined (report by George R Goffe).
- Add ncurses patch 20130525
  + modify mvcur() to distinguish between internal use by the ncurses
    library, and external callers, preventing it from reading the content
    of the screen which is only nonblank when curses calls have updated
    it.  This makes test/dots_mvcur.c avoid painting colored cells in
    the left margin of the display.
  + minor fix to test/dots_mvcur.c
  + move configured symbols USE_DATABASE and USE_TERMCAP to term.h as
    NCURSES_USE_DATABASE and NCURSES_USE_TERMCAP to allow consistent
    use of these symbols in term_entry.h
- Add ncurses patch 20130518
  + corrected ifdefs in test/testcurs.c to allow comparison of mouse
    interface versus pdcurses (cf: 20130316).
  + add pow() to configure-check for math library, needed since
    20121208 for test/hanoi (Debian #708056).
  + regenerated html manpages.
  + update doctype used for html documentation.
* Fri Jun 21 2013 werner@suse.de
- Add some more terminfo entries to terminfo-base (bnc#826171)
* Mon May 13 2013 werner@suse.de
- Make LD_LIBRARY_PATH include %%_lib to make sure use and test the
  fresh build libraries
* Mon May 13 2013 werner@suse.de
- Add ncurses patch 20130511
  + move nsterm-related entries out of "obsolete" section to more
    plausible "ansi consoles" -TD
  + additional cleanup of table-of-contents by reordering -TD
  + revise fix for check for 8-bit value in _nc_insert_ch(); prior fix
    prevented inserts when video attributes were attached to the data
    (cf: 20121215) (Redhat #959534).
- Add ncurses patch 20130504
  + fixes for issues found by Coverity:
    + correct FNKEY() macro in progs/dump_entry.c, allowing kf11-kf63 to
    display when infocmp's -R option is used for HP or AIX subsets.
    + fix dead-code issue with test/movewindow.c
    + improve limited-checking in _nc_read_termtype().
- Add ncurses patch 20130427
  + fix clang 3.2 warning in progs/dump_entry.c
  + drop AC_TYPE_SIGNAL check; ncurses relies on c89 and later.
- Add ncurses patch 20130413
  + add MinGW to cases where ncurses installs by default into /usr
    (prompted by discussion with Daniel Silva Ferreira).
  + add -D option to infocmp's usage-message (patch by Miroslav Lichvar).
  + add a missing 'int' type for main function in configure check for
    type of bool variable, to work with clang 3.2 (report by Dmitri
    Gribenko).
  + improve configure check for static_cast, to work with clang 3.2
    (report by Dmitri Gribenko).
  + re-order rule for demo.o and macros defining header dependencies in
    c++/Makefile.in to accommodate gmake (report by Dmitri Gribenko).
- Add ncurses patch 20130406
  + improve parameter checking in copywin().
  + modify configure script to work around OS X's "libtool" program, to
    choose glibtool instead.  At the same time, chance the autoconf macro
    to look for a "tool" rather than a "prog", to help with potential use
    in cross-compiling.
  + separate the rpath usage for c++ library from demo program
    (Redhat #911540)
  + update/correct header-dependencies in c++ makefile (report by Werner
    Fink).
  + add --with-cxx-shared to dpkg-script, as done for rpm-script.
* Tue Mar 26 2013 werner@suse.de
- Add ncurses patch 20130324
  + build-fix for libtool configuration (reports by Daniel Silva Ferreira
    and Roumen Petrov).
- Add ncurses patch 20130323
  + build-fix for OS X, to handle changes for --with-cxx-shared feature
    (report by Christian Ebert).
  + change initialization for vt220, similar entries for consistency
    with cursor-key strings (NetBSD #47674) -TD
  + further improvements to linux-16color (Benjamin Sittler)
- Add ncurses patch 20130316
  + additional fix for tic.c, to allocate missing buffer space.
  + eliminate configure-script warnings for gen-pkgconfig.in
  + correct typo in sgr string for sun-color,
    add bold for consistency with sgr,
    change smso for consistency with sgr -TD
  + correct typo in sgr string for terminator -TD
  + add blink to the attributes masked by ncv in linux-16color (report
    by Benjamin Sittler)
  + improve warning message from post-load checking for missing "%%?"
    operator by tic/infocmp by showing the entry name and capability.
  + minor formatting improvement to tic/infocmp -f option to ensure
    line split after "%%;".
  + amend scripting for --with-cxx-shared option to handle the debug
    library "libncurses++_g.a" (report by Sven Joachim).
- Add ncurses patch 20130309
  + amend change to toe.c for reading from /dev/zero, to ensure that
    there is a buffer for the temporary filename (cf: 20120324).
  + regenerated html manpages.
  + fix typo in terminfo.head (report by Sven Joachim, cf: 20130302).
  + updated some autoconf macros:
    + CF_ACVERSION_CHECK, from byacc 1.9 20130304
    + CF_INTEL_COMPILER, CF_XOPEN_SOURCE from luit 2.0-20130217
  + add configure option --with-cxx-shared to permit building
    libncurses++ as a shared library when using g++, e.g., the same
    limitations as libtool but better integrated with the usual build
    configuration (Redhat 911540).
  + modify MKkey_defs.sh to filter out build-path which was unnecessarily
    shown in curses.h (Debian #689131).
- Add ncurses patch 20130302
  + add section to terminfo manpage discussing user-defined capabilities.
  + update manpage description of NCURSES_NO_SETBUF, explaining why it
    is obsolete.
  + add a check in waddch_nosync() to ensure that tab characters are
    treated as control characters; some broken locales claim they are
    printable.
  + add some traces to the Windows console driver.
  + initialize a temporary array in _nc_mbtowc, needed for some cases
    of raw input in MinGW port.
- Make it build even with shared libncurses++ and its demo test program
* Mon Feb 18 2013 werner@suse.de
- Add ncurses patch 20130126
  + further fixes to mvcur to pass callback function (cf: 20130112),
    needed to make test/dots_mvcur work.
  + reduce calls to SetConsoleActiveScreenBuffer in win_driver.c, to
    help reduce flicker.
  + modify configure script to omit "+b" from linker options for very
    old HP-UX systems (report by Dennis Grevenstein)
  + add HP-UX workaround for missing EILSEQ on old HP-UX systems (patch
    by Dennis Grevenstein).
  + restore memmove/strdup support for antique systems (request by
    Dennis Grevenstein).
  + change %%l behavior in tparm to push the string length onto the stack
    rather than saving the formatted length into the output buffer
    (report by Roy Marples, cf: 980620).
- Add ncurses patch 20130202
  + correct initialization in knight.c which let it occasionally make
    an incorrect move (cf: 20001028).
  + improve documentation of the terminfo/termcap search path.
- Add ncurses patch 20130209
  + modify test/configure script to make it simpler to override names
    of curses-related libraries, to help with linking with pdcurses in
    mingw environment.
  + if the --with-terminfo-dirs configure option is not used, there is
    no corresponding compiled-in value for that.  Fill in "no default
    value" for that part of the manpage substitution.
- Add ncurses patch 20130216
  + modify test/testcurs.c to work with mouse for ncurses as it does for
    pdcurses.
  + modify test/knight.c to work with mouse for pdcurses as it does for
    ncurses.
  + modify internal recursion in wgetch() which handles cooked mode to
    check if the call to wgetnstr() returned an error.  This can happen
    when both nocbreak() and nodelay() are set, for instance (report by
    Nils Christopher Brause) (cf: 960418).
  + fixes for issues found by Coverity:
    + add a check for valid position in ClearToEOS()
    + fix in lib_twait.c when --enable-wgetch-events is used, pointer
    use after free.
    + improve a limit-check in make_hash.c
    + fix a memory leak in hashed_db.c
- Add ncurses patch 20130218
  + correct ifdef on change to lib_twait.c (report by  Werner Fink).
  + update config.guess, config.sub
- Use screen to emulate a terminal to enable the configure script to
  use poll(2) system call on stderr file descriptor
* Mon Jan 21 2013 werner@suse.de
- Add ncurses patch 5.9.20130119
  + fixes for issues found by Coverity:
    + fix memory leak in safe_sprintf.c
    + add check for return-value in tty_update.c
    + correct initialization for -s option in test/view.c
    + add check for numeric overflow in lib_instr.c
    + improve error-checking in copywin
  + add advice in infocmp manpage for termcap users (Debian #698469).
  + add "-y" option to test/demo_termcap and test/demo_terminfo to
    demonstrate behavior with/without extended capabilities.
  + updated termcap manpage to document legacy termcap behavior for
    matching capability names.
  + modify name-comparison for tgetstr, etc., to accommodate legacy
    applications as well as to improve compatbility with BSD 4.2
    termcap implementations (Debian #698299) (cf: 980725).
* Wed Jan 16 2013 werner@suse.de
- Add ncurses patch 5.9.20130112
  + correct prototype in manpage for vid_puts.
  + drop ncurses/tty/tty_display.h, ncurses/tty/tty_input.h, since they
    are unused in the current driver model.
  + modify mvcur to use stdout except when called within the ncurses
    library.
  + modify vidattr and vid_attr to use stdout as documented in manpage.
  + amend changes made to buffering in 20120825 so that the low-level
    putp() call uses stdout rather than ncurses' internal buffering.
    The putp_sp() call does the same, for consistency (Redhat #892674).
- Add ncurses patch 5.9.20130105
  + add "-s" option to test/view.c to allow it to start in single-step
    mode, reducing size of trace files when it is used for debugging
    MinGW changes.
  + revert part of 20121222 change to tinfo_driver.c
  + add experimental logic in win_driver.c to improve optimization of
    screen updates.  This does not yet work with double-width characters,
    so it is ifdef'd out for the moment (prompted by report by Erwin
    Waterlander regarding screen flicker).
- Add ncurses patch 5.9.20121229
  + fix coverity warnings regarding copying into fixed-size buffers.
  + add throw-declarations in the c++ binding per Coverity warning.
  + minor changes to new-items for consistent reference to bug-report
    numbers.
- Add ncurses patch 5.9.20121222
  + add *.dSYM directories to clean-rule in ncurses directory makefile,
    for Mac OS builds.
  + add a configure check for gcc option -no-cpp-precomp, which is not
    available in all Mac OS X configurations (report by Andras Salamon,
    cf: 20011208).
  + improve 20021221 workaround for broken acs, handling a case where
    that ACS_xxx character is not in the acsc string but there is a known
    wide-character which can be used.
* Mon Dec 17 2012 werner@suse.de
- Add ncurses patch 5.9.20121215
  + fix several warnings from clang 3.1 --analyze, includes correcting
    a null-pointer check in _nc_mvcur_resume.
  + correct display of double-width characters with MinGW port (report
    by Erwin Waterlander).
  + replace MinGW's wcrtomb(), fixing a problem with _nc_viscbuf
  + correct check for 8-bit value in _nc_insert_ch().
  + remove dead code in progs/tset.c, test/linedata.h
  + add null-pointer checks in lib_tracemse.c, panel.priv.h, and some
    test-programs.
- Add ncurses patch 5.9.20121208
  + modify test/knight.c to show the number of choices possible for
    each position in automove option, e.g., to allow user to follow
    Warnsdorff's rule to solve the puzzle.
  + remove a few redundant checks.
  + check return value from remove/unlink in tic.
  + fix a null dereference in c++/cursesw.cc
  + fix two instances of uninitialized variables when configuring for the
    terminal driver.
  + correct scope of variable used in SetSafeOutcWrapper macro.
  + set umask when calling mkstemp in tic.
  + initialize wbkgrndset() temporary variable when extended-colors are
    used.
- Add ncurses patch 5.9.20121201
  + also replace MinGW's wctomb(), fixing a problem with setcchar().
- Add ncurses patch 5.9.20121124
  + correct order of color initialization versus display in some of the
    test-programs, e.g., test_addstr.c
- Add tack patch 1.07.20120916
  * tack.c: ensure that $TERM is set and is not too large
  * edit.c: build-fix for g++
  * color.c:
    corrected check for ncv (no_color_video), which did not handle
    the case when all video attributes should work.
  * color.c:
    add/use init_palette() and reset_palette() to restore the 0-7
    ANSI colors to sane values after running the change-colors tests.
  * charset.c: add a test for "eslok" capability
* Mon Nov 19 2012 werner@suse.de
- Add ncurses patch 5.9.20121117
  > fixes based on Coverity report:
  + add missing braces around FreeAndNull in two places.
  + various fixes in test/ncurses.c
  + improve limit-checks in tinfo/make_hash.c, tinfo/read_entry.c
  + correct malloc size in progs/infocmp.c
  + guard against negative array indices in test/knight.c
  + fix off-by-one limit check in test/color_name.h
  + add null-pointer check in progs/tabs.c, test/bs.c, test/demo_forms.c,
    test/inchs.c
  + fix memory-leak in tinfo/lib_setup.c, progs/toe.c,
    test/clip_printw.c, test/demo_menus.c
  + delete unused windows in test/chgat.c, test/clip_printw.c,
    test/insdelln.c, test/newdemo.c on error-return.
- Add ncurses patch 5.9.20121110
  + modify configure macro CF_INCLUDE_DIRS to put $CPPFLAGS after the
    local -I include options in case someone has set conflicting -I
    options in $CPPFLAGS (prompted by patch for ncurses/Makefile.in by
    Vassili Courzakis).
  + modify the ncurses*-config scripts to eliminate relative paths from
    the RPATH_LIST variable, e.g., "../lib" as used in installing shared
    libraries or executables.
* Mon Nov  5 2012 werner@suse.de
- Add ncurses patch 5.9.20121026
  + improve malloc/realloc checking (prompted by discussion in Redhat
    [#866989]).
  + add ncurses test-program as "ncurses6" to the rpm- and dpkg-scripts.
  + updated configure macros CF_GCC_VERSION and CF_WITH_PATHLIST.  The
    first corrects pattern used for Mac OS X's customization of gcc.
- Add ncurses patch 5.9.20121102
  + realign manual pages and fix a long-ago error in curs_addstr.3x
    which said that a -1 length parameter would only write as much
    as fit onto one line (report by Reuben Thomas).
  + remove obsolete fallback _nc_memmove() for memmove()/bcopy().
  + remove obsolete fallback _nc_strdup() for strdup().
  + cancel any debug-rpm in package/ncurses.spec
  + reviewed vte-2012, reverted most of the change since it was incorrect
    based on testing with tack -TD
  + un-cancel the initc in vte-256color, since this was implemented
    starting with version 0.20 in 2009 -TD
* Wed Oct 17 2012 werner@suse.de
- Add ncurses patch 5.9.20121013
  + add vte-2012, gnome-2012, making these the defaults for vte/gnome
- Add ncurses patch 5.9.20121017
  + fix change to _nc_scroll_optimize(), which incorrectly freed memory
* Mon Oct  8 2012 werner@suse.de
- Add ncurses patch 5.9.20121006
  + improve CF_GCC_VERSION to work around Debian's customization of gcc
  - -version message.
  + improve configure macros as done in byacc:
    + drop 2.13 compatibility; use 2.52.xxxx version only since EMX port
    has used that for a while.
    + add 3rd parameter to AC_DEFINE's to allow autoheader to run, i.e.,
    for experimental use.
    + remove unused configure macros.
  + modify configure script and makefiles to quiet new autoconf warning
    for LIBS_TO_MAKE variable.
  + modify configure script to show $PATH_SEPARATOR variable.
  + update config.guess, config.sub
- Add ncurses patch 5.9.20120922
  + modify setupterm to set its copy of TERM to "unknown" if configured
    for the terminal driver and TERM was null or empty.
  + modify treatment of TERM variable for MinGW port to allow explicit
    use of the windows console driver by checking if $TERM is set to
    "#win32con" or an abbreviation of that.
  + undo recent change to fallback definition of vsscanf() to
* Mon Sep 17 2012 werner@suse.de
- Add ncurses patch 5.9.20120908
  + add test-screens to test/ncurses to show 256-characters at a time,
    to help with mingw port.
- Add ncurses patch 5.9.20120903
  + simplify varargs logic in lib_printw.c; va_copy is no longer needed
    there.
  + modifications for mingw port to make wide-character display usable.
- Add ncurses patch 5.9.20120902
  + regenerate configure script (report by Sven Joachim, cf: 20120901).
- Add ncurses patch 5.9.20120901
  + add a null-pointer check in _nc_flush (cf: 20120825).
  + fix a case in _nc_scroll_optimize() where the _oldnums_list array
    might not be allocated.
  + improve comparisons in configure.in for unset shell variables.
- Add ncurses patch 5.9.20120826
  + increase size of ncurses' output-buffer, in case of very small
    initial screen-sizes.
  + fix evaluation of TERMINFO and TERMINFO_DIRS default values as needed
    after changes to use --datarootdir (reports by Gabriele Balducci,
    Roumen Petrov).
- Add ncurses patch 5.9.20120825
  + change output buffering scheme, using buffer maintained by ncurses
    rather than stdio, to avoid problems with SIGTSTP handling (report
    by Brian Bloniarz).
- Add ncurses patch 5.9.20120811
  + update autoconf patch to 2.52.20120811, adding --datarootdir
    (prompted by discussion with Erwin Waterlander).
  + improve description of --enable-reentrant option in README and the
    INSTALL file.
  + add nsterm-256color, make this the default nsterm -TD
  + remove bw from nsterm-bce, per testing with tack -TD
- Add ncurses patch 5.9.20120804
  + update test/configure, adding check for tinfo library.
  + improve limit-checks for the getch fifo (report by Werner Fink).
  + fix a remaining mismatch between $with_echo and the symbols updated
    by CF_DISABLE_ECHO affecting parameters for mk-2nd.awk (report by
    Sven Joachim, cf:  20120317).
  + modify followup check for pkg-config's library directory in the
  - -enable-pc-files option to validate syntax (report by Sven Joachim,
    cf: 20110716).
* Tue Jul 31 2012 werner@suse.de
- Add ncurses patch 5.9.20120728
  + correct path for ncurses_mingw.h in include/headers, in case build
    is done outside source-tree (patch by Roumen Petrov).
  + modify some older xterm entries to align with xterm source -TD
  + separate "xterm-old" alias from "xterm-r6" -TD
  + add E3 extended capability to xterm-basic and putty -TD
  + parenthesize parameters of other macros in curses.h -TD
  + parenthesize parameter of COLOR_PAIR and PAIR_NUMBER in curses.h
  in case it happens to be a comma-expression, etc. (patch by Nick
  Black).
- Add ncurses patch 5.9.20120721
  + improved form_request_by_name() and menu_request_by_name().
  + eliminate two fixed-size buffers in toe.c
  + extend use_tioctl() to have expected behavior when use_env(FALSE) and
    use_tioctl(TRUE) are called.
  + modify ncurses test-program, adding -E and -T options to demonstrate
    use_env() versus use_tioctl().
- Add NEWS and README to installed package documentation ((bnc#772916)
* Thu Jul 26 2012 werner@suse.de
- Change order of listes authors into the order of relative
  contributions made (bnc#772916)
- Add tabs description to description of ncurses-utils (bnc#772916)
* Fri Jul 20 2012 werner@suse.de
- Add ncurses patch 5.9.20120714 (bnc#769788)
  + add use_tioctl() function (adapted from patch by Werner Fink,
  Novell #769788):
- Set the default for use_tioctl() to TRUE and add a note in the
  manual page for this.
* Mon Jul  9 2012 werner@suse.de
- Add ncurses patch 5.9.20120707 (bnc#769788)
  + add ncurses_mingw.h to installed headers (prompted by patch by
    Juergen Pfeifer).
  + clarify return-codes from wgetch() in response to SIGWINCH (prompted
    by Novell #769788).
  + modify resizeterm() to always push a KEY_RESIZE onto the fifo, even
    if screensize is unchanged.  Modify _nc_update_screensize() to push a
    KEY_RESIZE if there was a SIGWINCH, even if it does not call
    resizeterm().  These changes eliminate the case where a SIGWINCH is
    received, but ERR returned from wgetch or wgetnstr because the screen
    dimensions did not change (Novell #769788).
* Tue Jun 26 2012 werner@suse.de
- Add ncurses patch 5.9.20120622
  + add -d, -e and -q options to test/demo_terminfo and test/demo_termcap
  + fix caching of environment variables in database-iterator (patch by
    Philippe Troin, Redhat #831366).
- Add ncurses patch 5.9.20120616
  + add configure check to distinguish clang from gcc to eliminate
    warnings about unused command-line parameters when compiler warnings
    are enabled.
  + improve behavior when updating terminfo entries which are hardlinked
    by allowing for the possibility that an alias has been repurposed to
    a new primary name.
  + fix some strict compiler warnings based on package scripts.
  + further fixes for configure check for working poll (Debian #676461).
- Add ncurses patch 5.9.20120608
  + fix an uninitialized variable in -c/-n logic for infocmp changes
    (cf: 20120526).
- Add ncurses patch 5.9.20120602
  + add kdch1 aka "Remove" to vt220 and vt220-8 entries -TD
  + add kdch1, etc., to qvt108 -TD
  + add dl1/il1 to some entries based on dl/il values -TD
  + add dl to simpleterm -TD
  + add consistency-checks in tic for insert-line vs delete-line
    controls, and insert/delete-char keys
  + correct no-leaks logic in infocmp when doing comparisons, fixing
    duplicate free of entries given via the command-line, and freeing
    entries loaded from the last-but-one of files specified on the
    command-line.
  + add kdch1 to wsvt25 entry from NetBSD CVS (reported by David Lord,
    analysis by Martin Husemann).
  + add cnorm/civis to wsvt25 entry from NetBSD CVS (report/analysis by
    Onno van der Linden).
* Wed May 30 2012 werner@suse.de
- Add ncurses patch 5.9.20120526
  + extend -c and -n options of infocmp to allow comparing more than two
    entries.
  + correct check in infocmp for number of terminal names when more than
    two are given.
  + correct typo in curs_threads.3x (report by Yanhui Shen on
    freebsd-hackers mailing list).
- Add ncurses patch 5.9.20120512
  + corrected 'op' for bterm (report by Samuel Thibault) -TD
  + modify test/background.c to demonstrate a background character
    holding a colored ACS_HLINE.  The behavior differs from SVr4 due to
    the thick- and double-line extension (cf: 20091003).
  + modify handling of acs characters in PutAttrChar to avoid mapping an
    unmapped character to a space with A_ALTCHARSET set.
  + rewrite vt520 entry based on vt420 -TD
- Add ncurses patch 5.9.20120505
  + remove p6 (bold) from opus3n1+ for consistency -TD
  + remove acs stuff from env230 per clues in Ingres termcap -TD
  + modify env230 sgr/sgr0 to match other capabilities -TD
  + modify smacs/rmacs in bq300-8 to match sgr/sgr0 -TD
  + make sgr for dku7202 agree with other caps -TD
  + make sgr for ibmpc agree with other caps -TD
  + make sgr for tek4107 agree with other caps -TD
  + make sgr for ndr9500 agree with other caps -TD
  + make sgr for sco-ansi agree with other caps -TD
  + make sgr for d410 agree with other caps -TD
  + make sgr for d210 agree with other caps -TD
  + make sgr for d470c, d470c-7b agree with other caps -TD
  + remove redundant AC_DEFINE for NDEBUG versus Makefile definition.
  + fix a back-link in _nc_delink_entry(), which is needed if ncurses is
    configured with --enable-termcap and --disable-getcap.
- Add ncurses patch 5.9.20120428
  + fix some inconsistencies between vt320/vt420, e.g., cnorm/civis -TD
  + add eslok flag to dec+sl -TD
  + dec+sl applies to vt320 and up -TD
  + drop wsl width from xterm+sl -TD
  + reuse xterm+sl in putty and nsca-m -TD
  + add ansi+tabs to vt520 -TD
  + add ansi+enq to vt220-vt520 -TD
  + fix a compiler warning in example in ncurses-intro.doc (Paul Waring).
  + added paragraph in keyname manpage telling how extended capabilities
    are interpreted as key definitions.
  + modify tic's check of conflicting key definitions to include extended
    capability strings in addition to the existing check on predefined
    keys.
- Add ncurses patch 5.9.20120421
  + improve cleanup of temporary files in tic using atexit().
  + add msgr to vt420, similar DEC vtXXX entries -TD
  + add several missing vt420 capabilities from vt220 -TD
  + factor out ansi+pp from several entries -TD
  + change xterm+sl and xterm+sl-twm to include only the status-line
    capabilities and not "use=xterm", making them more generally useful
    as building-blocks -TD
  + add dec+sl building block, as example -TD
- Add ncurses patch 5.9.20120414
  + add consistency check in tic for screen's "XT" capability.
  + add section in terminfo.src summarizing the user-defined capabilities
    used in that file -TD
- Add ncurses patch 5.9.20120407
  + fix an inconsistency between tic/infocmp "-x" option; tic omits all
    non-standard capabilities, while infocmp was ignoring only the user
    definable capabilities.
  + improve special case in tic parsing of description to allow it to be
    followed by terminfo capabilities.  Previously the description had to
    be the last field on an input line to allow tic to distinguish
    between termcap and terminfo format while still allowing commas to be
    embedded in the description.
  + correct variable name in gen_edit.sh which broke configurability of
    the --with-xterm-kbs option.
  + revert 2011-07-16 change to "linux" alias, return to "linux2.2" -TD
  + further amend 20110910 change, providing for configure-script
    override of the "linux" terminfo entry to install and changing the
    default for that to "linux2.2" (Debian #665959).
- Add ncurses patch 5.9.20120331
  + update Ada95/configure to use CF_DISABLE_ECHO (cf: 20120317).
  + correct order of use-clauses in st-256color -TD
  + modify configure script to look for gnatgcc if the Ada95 binding
    is built, in preference to the default gcc/cc (suggested by
    Nicolas Boulenguez).
  + modify configure script to ensure that the same -On option used for
    the C compiler in CFLAGS is used for ADAFLAGS rather than simply
    using -O3 (suggested by Nicolas Boulenguez)
- Add ncurses patch 5.9.20120324
  + amend an old fix so that next_char() exits properly for empty files,
    e.g., from reading /dev/null (cf: 20080804).
  + modify tic so that it can read from the standard input, or from
    a character device.  Because tic uses seek's, this requires writing
    the data to a temporary file first (prompted by remark by Sven
    Joachim) (cf: 20000923).
- Add ncurses patch 5.9.20120317
  + correct a check made in lib_napms.c, so that terminfo applications
    can again use napms() (cf: 20110604).
  + add a note in tic.h regarding required casts for ABSENT_BOOLEAN
    (cf: 20040327).
  + correct scripting for --disable-echo option in test/configure.
  + amend check for missing c++ compiler to work when no error is
    reported, and no variables set (cf: 20021206).
  + add/use configure macro CF_DISABLE_ECHO.
* Mon Mar 12 2012 werner@suse.de
- Add check_build script to avoid to stumble on gcc exception 32
* Mon Mar 12 2012 werner@suse.de
- Add ncurses patch 5.9.20120310
  + fix some strict compiler warnings for abi6 and 64-bits.
  + use begin_va_copy/end_va_copy macros in lib_printw.c (cf: 20120303).
  + improve a limit-check in infocmp.c (Werner Fink)
* Mon Mar  5 2012 werner@suse.de
- Add tack patch 1.07.20120303
  + fix many compilerv warnings
  + update auto configure
  + update copyright date
  + Update configure-script and makefile template to work with this
    post-5.9 change, allowing build of tack within the ncurses
    source-tree 20110924.  The change is prompted by review of
    OpenSUSE package by Werner Fink, using a patch from the rpm
    source file: ncurses-5.9-tack-tinfo.dif (2011-11-18)
* Mon Mar  5 2012 werner@suse.de
- Add ncurses patch 5.9.20120303
  + minor tidying of terminfo.tail, clarify reason for limitation
    regarding mapping of \0 to \200
  + minor improvement to _nc_copy_termtype(), using memcpy to replace
    loops.
  + fix no-leaks checking in test/demo_termcap.c to account for multiple
    calls to setupterm().
  + modified the libgpm change to show previous load as a problem in the
    debug-trace.
  > merge some patches from OpenSUSE rpm (Werner Fink):
  + ncurses-5.7-printw.dif, fixes for varargs handling in lib_printw.c
  + ncurses-5.7-gpm.dif, do not dlopen libgpm if already loaded by
    runtime linker
  + ncurses-5.6-fallback.dif, do not free arrays and strings from static
    fallback entries
* Thu Mar  1 2012 werner@suse.de
- Add ncurses patch 5.9.20120228
  + fix breakage in tic/infocmp from 20120225 (report by Werner Fink).
* Mon Feb 27 2012 werner@suse.de
- Add ncurses patch 5.9.20120225
  + modify configure script to allow creating dll's for MinGW when
    cross-compiling.
  + add --enable-string-hacks option to control whether strlcat and
    strlcpy may be used.  The same issue applies to OpenBSD's warnings
    about snprintf, noting that this function is weakly standardized.
  + add configure checks for strlcat, strlcpy and snprintf, to help
    reduce bogus warnings with OpenBSD builds.
  + build-fix for OpenBSD 4.9 to supply consistent intptr_t declaration
    (cf:20111231)
  + update config.guess, config.sub
* Tue Feb 14 2012 werner@suse.de
- Add ncurses patch 5.9.20120211
  + make sgr for xterm-pcolor agree with other caps -TD
  + make sgr for att5425 agree with other caps -TD
  + make sgr for att630 agree with other caps -TD
  + make sgr for linux entries agree with other caps -TD
  + make sgr for tvi9065 agree with other caps -TD
  + make sgr for ncr260vt200an agree with other caps -TD
  + make sgr for ncr160vt100pp agree with other caps -TD
  + make sgr for ncr260vt300an agree with other caps -TD
  + make sgr for aaa-60-dec-rv, aaa+dec agree with other caps -TD
  + make sgr for cygwin, cygwinDBG agree with other caps -TD
  + add configure option --with-xterm-kbs to simplify configuration for
    Linux versus most other systems.
* Mon Feb  6 2012 werner@suse.de
- Add ncurses patch 5.9.20120204
  + improved tic -D option, avoid making target directory and provide
    better diagnostics.
* Mon Jan 30 2012 werner@suse.de
- Add ncurses patch 5.9.20120128
  + add mach-gnu (Debian #614316, patch by Samuel Thibault)
  + add mach-gnu-color, tweaks to mach-gnu terminfo -TD
  + make sgr for sun-color agree with smso -TD
  + make sgr for prism9 agree with other caps -TD
  + make sgr for icl6404 agree with other caps -TD
  + make sgr for ofcons agree with other caps -TD
  + make sgr for att5410v1, att4415, att620 agree with other caps -TD
  + make sgr for aaa-unk, aaa-rv agree with other caps -TD
  + make sgr for avt-ns agree with other caps -TD
  + amend fix intended to separate fixups for acsc to allow "tic -cv" to
    give verbose warnings (cf:  20110730).
  + modify misc/gen-edit.sh to make the location of the tabset directory
    consistent with misc/Makefile.in, i.., using ${datadir}/tabset
    (Debian #653435, patch by Sven Joachim).
- Add ncurses patch 5.9.20120121
  + add --with-lib-prefix option to allow configuring for old/new flavors
  of OS/2 EMX.
  + modify check for gnat version to allow for year, as used in FreeBSD
  port.
  + modify check_existence() in db_iterator.c to simply check if the
  path is a directory or file, according to the need.  Checking for
  directory size also gives no usable result with OS/2 (cf: 20120107).
  + support OS/2 kLIBC (patch by KO Myung-Han).
* Mon Jan 16 2012 werner@suse.de
- Add ncurses patch 5.9.20120114
  * several improvements to test/movewindow.c (prompted by discussion on
  Linux Mint forum):
- Add ncurses patch 5.9.20120107
  * various improvments for MinGW (Juergen Pfeifer):
- Add ncurses patch 5.9.20111231
  * modify toe's report when -a and -s options are combined, to add
  a column showing which entries belong to a given database.
  * add -s option to toe, to sort its output.
  * modify progs/toe.c, simplifying use of db-iterator results to use
  caching improvements from 20111001 and 20111126.
  * correct generation of pc-files when ticlib or termlib options are
  given to rename the corresponding tic- or tinfo-libraries (report
  by Sven Joachim).
- Add ncurses patch 5.9.20111224
  * document a portability issue with tput, i.e., that scripts which work
  with ncurses may fail in other implementations that do no parameter
  analysis.
  * add putty-sco entry -TD
- Add ncurses patch 5.9.20111217
  * review/fix places in manpages where --program-prefix configure option
  was not being used.
  * add -D option to infocmp, to show the database locations that it
  could use.
  * fix build for the special case where term-driver, ticlib and termlib
  are all enabled.  The terminal driver depends on a few features in
  the base ncurses library, so tic's dependencies include both ncurses
  and termlib.
  * fix build work for term-driver when --enable-wgetch-events option is
  enabled.
  * use <stdint.h> types to fix some questionable casts to void*.
- Add ncurses patch 5.9.20111210
  * modify configure script to check if thread library provides
  pthread_mutexattr_settype(), e.g., not provided by Solaris 2.6
  * modify configure script to suppress check to define _XOPEN_SOURCE
  for IRIX64, since its header files have a conflict versus
  _SGI_SOURCE.
  * modify configure script to add ".pc" files for tic- and
  tinfo-libraries, which were omitted in recent change (cf: 20111126).
  * fix inconsistent checks on $PKG_CONFIG variable in configure script.
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Mon Dec  5 2011 werner@suse.de
- Add ncurses patch 5.9.20111203
  * modify configure-check for etip.h dependencies, supplying a temporary
  copy of ncurses_dll.h since it is a generated file (prompted by
  Debian #646977).
  * modify CF_CPP_PARAM_INIT "main" function to work with current C++.
* Mon Nov 28 2011 werner@suse.de
- Add ncurses patch 5.9.20111126
  * correct database iterator's check for duplicate entries
  (cf: 20111001).
  * modify database iterator to ignore $TERMCAP when it is not an
  absolute pathname.
  * add -D option to tic, to show the database locations that it could
  use.
  * improve description of database locations in tic manpage.
  * modify the configure script to generate a list of the ".pc" files to
  generate, rather than deriving the list from the libraries which have
  been built (patch by Mike Frysinger).
  * use AC_CHECK_TOOLS in preference to AC_PATH_PROGS when searching for
  ncurses*-config, e.g., in Ada95/configure and test/configure (adapted
  from patch by Mike Frysinger).
* Thu Nov 24 2011 werner@suse.de
- Avoid linker script libterminfo.so as bash configure can not
  handle this
* Thu Nov 24 2011 werner@suse.de
- Use linker scripts to amke sure that libtinfo will be found
  even if -ltinfo is missed on the linker command line
* Tue Nov 22 2011 werner@suse.de
- Add ncurses patch 5.9.20111119
  * remove obsolete/conflicting fallback definition for _POSIX_SOURCE
  from curses.priv.h, fixing a regression with IRIX64 and Tru64
  (cf: 20110416)
  * modify _nc_tic_dir() to ensure that its return-value is nonnull,
  i.e., the database iterator was not initialized.  This case is needed
  to when tic is translating to termcap, rather than loading the
  database (cf:  20111001).
* Fri Nov 18 2011 werner@suse.de
- Update to tack 1.07-20110626
- Enlarge hash size for run time linker
- Enforce bind references to global function symbols to the
  definition within libncurses and libtinfo
* Thu Nov 17 2011 werner@suse.de
- Add ncurses patch 5.9.20111112
  * add pccon entries for OpenBSD console (Alexei Malinin).
  * build-fix for OpenBSD 4.9 with gcc 4.2.1, setting _XOPEN_SOURCE to
  600 to work around inconsistent ifdef'ing of wcstof between C and
  C++ header files.
  * modify capconvert script to accept more than exact match on "xterm",
  e.g., the "xterm-*" variants, to exclude from the conversion (patch
  by Robert Millan).
  * fix a typo misc/Makefile.in, used in uninstalling pc-files.
- Add ncurses patch 5.9.20111030
  * modify make_db_path() to allow creating "terminfo.db" in the same
  directory as an existing "terminfo" directory.  This fixes a case
  where switching between hashed/filesystem databases would cause the
  new hashed database to be installed in the next best location -
  root's home directory.
  * add variable cf_cv_prog_gnat_correct to those passed to
  config.status, fixing a problem with Ada95 builds (cf: 20111022).
  * change feature test from _XPG5 to _XOPEN_SOURCE in two places, to
  accommodate broken implementations for _XPG6.
  * eliminate usage of NULL symbol from etip.h, to reduce header
  interdependencies.
  * add configure check to decide when to add _XOPEN_SOURCE define to
  compiler options, i.e., for Solaris 10 and later (cf: 20100403).
  This is a workaround for gcc 4.6, which fails to build the c++
  binding if that symbol is defined by the application, due to
  incorrectly combining the corresponding feature test macros
  (report by Peter Kruse).
- Add ncurses patch 5.9.20111022
  * correct logic for discarding mouse events, retaining the partial
  events used to build up click, double-click, etc, until needed
  (cf: 20110917).
  * fix configure script to avoid creating unused Ada95 makefile when
  gnat does not work.
  * cleanup width-related gcc 3.4.3 warnings for 64-bit platform, for the
  internal functions of libncurses.  The external interface of courses
  uses bool, which still produces these warnings.
- Add ncurses patch 5.9.20111015
  * improve description of --disable-tic-depends option to make it
  clear that it may be useful whether or not the --with-termlib
  option is also given (report by Sven Joachim).
  * amend termcap equivalent for set_pglen_inch to use the X/Open
  "YI" rather than the obsolete Solaris 2.5 "sL" (cf: 990109).
  * improve manpage for tgetent differences from termcap library.
- Add ncurses patch 5.9.20111008
  * moved static data from db_iterator.c to lib_data.c
  * modify db_iterator.c for memory-leak checking, fix one leak.
  * modify misc/gen-pkgconfig.in to use Requires.private for the parts
  of ncurses rather than Requires, as well as Libs.private for the
  other library dependencies (prompted by Debian #644728).
- Add ncurses patch 5.9.20111001
  * modify tic "-K" option to only set the strict-flag rather than force
  source-output.  That allows the same flag to control the parser for
  input and output of termcap source.
  * modify _nc_getent() to ignore backslash at the end of a comment line,
  making it consistent with ncurses' parser.
  * restore a special-case check for directory needed to make termcap
  text files load as if they were databases (cf: 20110924).
  * modify tic's resolution/collision checking to attempt to remove the
  conflicting alias from the second entry in the pair, which is
  normally following in the source file.  Also improved the warning
  message to make it simpler to see which alias is the problem.
  * improve performance of the database iterator by caching search-list.
- Add ncurses patch 5.9.20110925
  * add a missing "else" in changes to _nc_read_tic_entry().
- Add ncurses patch 5.9.20110924
  * modify _nc_read_tic_entry() so that hashed-database is checked before
  filesystem.
  * updated CF_CURSES_LIBS check in test/configure script.
  * modify configure script and makefiles to split TIC_ARGS and
  TINFO_ARGS into pieces corresponding to LDFLAGS and LIBS variables,
  to help separate searches for tic- and tinfo-libraries (patch by Nick
  Alcock aka "Nix").
  * build-fix for lib_mouse.c changes (ch: 20110917).
- Add ncurses patch 5.9.20110917
  * fix compiler warning for clang 2.9
  * improve merging of mouse events (integrated patch by Damien
  Guibouret).
  * correct mask-check used in lib_mouse for wheel mouse buttons 4/5
  (patch by Damien Guibouret).
- Add ncurses patch 5.9.20110910
  * modify misc/gen_edit.sh to select a "linux" entry which works with
  the current kernel rather than assuming it is always "linux3.0"
  (cf: 20110716).
  * revert a change to getmouse() which had the undesirable side-effect
  of suppressing button-release events (report by Damien Guibouret,
  cf: 20100102).
  * add xterm+kbs fragment from xterm #272 -TD
  * add configure option --with-pkg-config-libdir to provide control over
  the actual directory into which pc-files are installed, do not use
  the pkg-config environment variables (discussion with Frederic L W
  Meunier).
  * add link to mailing-list archive in announce.html.in, as done in
  FAQ (prompted by question by Andrius Bentkus).
  * improve manpage install by adjusting the "#include" examples to
  show the ncurses-subdirectory used when --disable-overwrite option
  is used.
  * install an alias for "curses" to the ncurses manpage, tied to the
  - -with-curses-h configure option (suggested by Reuben Thomas).
- Add ncurses patch 5.9.20110903
  * propagate error-returns from wresize, i.e., the internal
  increase_size and decrease_size functions through resize_term (report
  by Tim van der Molen, cf:  20020713).
  * fix typo in tset manpage (patch by Sven Joachim).
- Add ncurses patch 5.9.20110820
  * add a check to ensure that termcap files which might have "^?" do
  not use the terminfo interpretation as "\177".
  * minor cleanup of X-terminal emulator section of terminfo.src -TD
  * add terminator entry -TD
  * add simpleterm entry -TD
  * improve wattr_get macros by ensuring that if the window pointer is
  null, then the attribute and color values returned will be zero
  (cf: 20110528).
- Add ncurses patch 5.9.20110813
  * add substitution for $RPATH_LIST to misc/ncurses-config.in
  * improve performance of tic with hashed-database by caching the
  database connection, using atexit() to cleanup.
  * modify treatment of 2-character aliases at the beginning of termcap
  entries so they are not counted in use-resolution, since these are
  guaranteed to be unique.  Also ignore these aliases when reporting
  the primary name of the entry (cf: 20040501)
  * double-check gn (generic) flag in terminal descriptions to
  accommodate old/buggy termcap databases which misused that feature.
  * minor fixes to _nc_tgetent(), ensure buffer is initialized even on
  error-return.
- Add ncurses patch 5.9.20110807
  * improve rpath fix from 20110730 by ensuring that the new $RPATH_LIST
  variable is defined in the makefiles which use it.
  * build-fix for DragonFlyBSD's pkgsrc in test/configure script.
  * build-fixes for NetBSD 5.1 with termcap support enabled.
  * corrected k9 in dg460-ansi, add other features based on manuals -TD
  * improve trimming of whitespace at the end of terminfo/termcap output
  from tic/infocmp.
  * when writing termcap source, ensure that colons in the description
  field are translated to a non-delimiter, i.e., "=".
  * add "-0" option to tic/infocmp, to make the termcap/terminfo source
  use a single line.
  * add a null-pointer check when handling the $CC variable.
- Add ncurses patch 5.9.20110730
  * modify configure script and makefiles in c++ and progs to allow the
  directory used for rpath option to be overridden, e.g., to work
  around updates to the variables used by tic during an install.
  * add -K option to tic/infocmp, to provide stricter BSD-compatibility
  for termcap output.
  * add _nc_strict_bsd variable in tic library which controls the
  "strict" BSD termcap compatibility from 20110723, plus these
  features:
  * allow escapes such as "\8" and "\9" when reading termcap
  * disallow "\a", "\e", "\l", "\s" and "\:" escapes when reading
    termcap files, passing through "a", "e", etc.
  * expand "\:" as "\072" on output.
  * modify _nc_get_token() to reset the token's string value in case
  there is a string-typed token lacking the "=" marker.
  * fix a few memory leaks in _nc_tgetent.
  * fix a few places where reading from a termcap file could refer to
  freed memory.
  * add an overflow check when converting terminfo/termcap numeric
  values, since terminfo stores those in a short, and they must be
  positive.
  * correct internal variables used for translating to termcap "%%>"
  feature, and translating from termcap %%B to terminfo, needed by
  tctest (cf: 19991211).
  * amend a minor fix to acsc when loading a termcap file to separate it
  from warnings needed for tic (cf: 20040710)
  * modify logic in _nc_read_entry() and _nc_read_tic_entry() to allow
  a termcap file to be handled via TERMINFO_DIRS.
  * modify _nc_infotocap() to include non-mandatory padding when
  translating to termcap.
  * modify _nc_read_termcap_entry(), passing a flag in the case where
  getcap is used, to reduce interactive warning messages.
- Add ncurses patch 5.9.20110723
  * add a check in start_color() to limit color-pairs to 256 when
  extended colors are not supported (patch by David Benjamin).
  * modify setcchar to omit no-longer-needed OR'ing of color pair in
  the SetAttr() macro (patch by David Benjamin).
  * add kich1 to sun terminfo entry (Yuri Pankov)
  * use bold rather than reverse for smso in sun-color terminfo entry
  (Yuri Pankov).
  * improve generation of termcap using tic/infocmp -C option, e.g.,
  to correspond with 4.2BSD (prompted by discussion with Yuri Pankov
  regarding Schilling's test program):
  * translate %%02 and %%03 to %%2 and %%3 respectively.
  * suppress string capabilities which use %%s, not supported by tgoto
  * use \040 rather than \s
  * expand null characters as \200 rather than \0
  * modify configure script to support shared libraries for DragonFlyBSD.
- Add ncurses patch 5.9.20110716
  * replace an assert() in _nc_Free_Argument() with a regular null
  pointer check (report/analysis by Franjo Ivancic).
  * modify configure --enable-pc-files option to take into account the
  PKG_CONFIG_PATH variable (report by Frederic L W Meunier).
  * add/use xterm+tmux chunk from xterm #271 -TD
  * resync xterm-new entry from xterm #271 -TD
  * add E3 extended capability to linux-basic (Miroslav Lichvar)
  * add linux2.2, linux2.6, linux3.0 entries to give context for E3 -TD
  * add SI/SO change to linux2.6 entry (Debian #515609) -TD
  * fix inconsistent tabset path in pcmw (Todd C. Miller).
  * remove a backslash which continued comment, obscuring altos3
  definition with OpenBSD toolset (Nicholas Marriott).
- Add ncurses patch 5.9.20110702
  * add workaround from xterm #271 changes to ensure that compiler flags
  are not used in the $CC variable.
  * improve support for shared libraries, tested with AIX 5.3, 6.1 and
  7.1 with both gcc 4.2.4 and cc.
  * modify configure checks for AIX to include release 7.x
  * add loader flags/libraries to libtool options so that dynamic loading
  works properly, adapted from ncurses-5.7-ldflags-with-libtool.patch
  at gentoo prefix repository (patch by Michael Haubenwallner).
- Add ncurses patch 5.9.20110626
  * move include of nc_termios.h out of term_entry.h, since the latter
  is installed, e.g., for tack while the former is not (report by
  Sven Joachim).
- Add ncurses patch 5.9.20110625
  * improve cleanup() function in lib_tstp.c, using _exit() rather than
  exit() and checking for SIGTERM rather than SIGQUIT (prompted by
  comments forwarded by Nicholas Marriott).
  * reduce name pollution from term.h, moving fallback #define's for
  tcgetattr(), etc., to new private header nc_termios.h (report by
  Sergio NNX).
  * two minor fixes for tracing (patch by Vassili Courzakis).
  * improve trace initialization by starting it in use_env() and
  ripoffline().
  * review old email, add details for some changelog entries.
- Add ncurses patch 5.9.20110611
  * update minix entry to minix 3.2 (Thomas Cort).
  * fix a strict compiler warning in change to wattr_get (cf: 20110528).
- Add ncurses patch 5.9.20110604
  * fixes for MirBSD port:
  * set default prefix to /usr.
  * add support for shared libraries in configure script.
  * use S_ISREG and S_ISDIR consistently, with fallback definitions.
  * add a few more checks based on ncurses/link_test.
  * modify MKlib_gen.sh to handle sp-funcs renaming of NCURSES_OUTC type.
- Add ncurses patch 5.9.20110528
  * add case to CF_SHARED_OPTS for Interix (patch by Markus Duft).
  * used ncurses/link_test to check for behavior when the terminal has
  not been initialized and when an application passes null pointers
  to the library.  Added checks to cover this (prompted by Redhat
  [#707344]).
  * modify MKlib_gen.sh to make its main() function call each function
  with zero parameters, to help find inconsistent checking for null
  pointers, etc.
- Add ncurses patch 5.9.20110521
  * fix warnings from clang 2.7 "--analyze"
- Add ncurses patch 5.9.20110514
  * compiler-warning fixes in panel and progs.
  * modify CF_PKG_CONFIG macro, from changes to tin -TD
  * modify CF_CURSES_FUNCS configure macro, used in test directory
  configure script:
  * work around (non-optimizer) bug in gcc 4.2.1 which caused
    test-expression to be omitted from executable.
  * force the linker to see a link-time expression of a symbol, to
    help work around weak-symbol issues.
- Add ncurses patch 5.9.20110507
  * update discussion of MKfallback.sh script in INSTALL; normally the
  script is used automatically via the configured makefiles.  However
  there are still occasions when it might be used directly by packagers
  (report by Gunter Schaffler).
  * modify misc/ncurses-config.in to omit the "-L" option from the
  "--libs" output if the library directory is /usr/lib.
  * change order of tests for curses.h versus ncurses.h headers in the
  configure scripts for Ada95 and test-directories, to look for
  ncurses.h, from fixes to tin -TD
  * modify ncurses/tinfo/access.c to account for Tandem's root uid
  (report by Joachim Schmitz).
- Add ncurses patch 5.9.20110430
  * modify rules in Ada95/src/Makefile.in to ensure that the PIC option
  is not used when building a static library (report by Nicolas
  Boulenguez):
  * Ada95 build-fix for big-endian architectures such as sparc.  This
  undoes one of the fixes from 20110319, which added an "Unused" member
  to representation clauses, replacing that with pragmas to suppress
  warnings about unused bits (patch by Nicolas Boulenguez):
- Add ncurses patch 5.9.20110423
  * add check in test/configure for use_window, use_screen.
  * add configure-checks for getopt's variables, which may be declared
  as different types on some Unix systems.
  * add check in test/configure for some legacy curses types of the
  function pointer passed to tputs().
  * modify init_pair() to accept -1's for color value after
  assume_default_colors() has been called (Debian #337905).
  * modify test/background.c, adding commmand-line options to demonstrate
  assume_default_colors() and use_default_colors().
- Add ncurses patch 5.9.20110416
  * modify configure script/source-code to only define _POSIX_SOURCE if
  the checks for sigaction and/or termios fail, and if _POSIX_C_SOURCE
  and _XOPEN_SOURCE are undefined (report by Valentin Ochs).
  * update config.guess, config.sub
- Add ncurses patch 5.9.20110409
  * fixes to build c++ binding with clang 3.0 (patch by Alexander
  Kolesen).
  * add check for unctrl.h in test/configure, to work around breakage in
  some ncurses packages.
  * add "--disable-widec" option to test/configure script.
  * add "--with-curses-colr" and "--with-curses-5lib" options to the
  test/configure script to address testing with very old machines.
* Thu Nov 17 2011 werner@suse.de
- Update to ncurses 5.9
  * various build-fixes for the rpm/dpkg scripts.
  * add "--enable-rpath-link" option to Ada95/configure, to allow
  packages to suppress the rpath feature which is normally used for
  the in-tree build of sample programs.
  * corrected definition of libdir variable in Ada95/src/Makefile.in,
  needed for rpm script.
  * add "--with-shared" option to Ada95/configure script, to allow
  making the C-language parts of the binding use appropriate compiler
  options if building a shared library with gnat.
  * portability fixes for Ada95 binding
  * update test/configure macros CF_CURSES_LIBS, CF_XOPEN_SOURCE and
  CF_X_ATHENA_LIBS.
  * add configure check to determine if gnat's project feature supports
  libraries, i.e., collections of .ali files.
  * make all dereferences in Ada95 samples explicit.
  * fix typo in comment in lib_add_wch.c (patch by Petr Pavlu).
  * add configure check for, ifdef's for math.h which is in a separate
  package on Solaris and potentially not installed (report by Petr
  Pavlu).
  * fixes for Ada95 binding
  * change order of -I options from ncurses*-config script when the
  - -disable-overwrite option was used, so that the subdirectory include
  is listed first.
  * modify the make-tar.sh scripts to add a MANIFEST and NEWS file.
  * modify configure script to provide value for HTML_DIR in
  Ada95/gen/Makefile.in, which depends on whether the Ada95 binding is
  distributed separately (report by Nicolas Boulenguez).
  * modify configure script to add -g and/or -O3 to ADAFLAGS if the
  CFLAGS for the build has these options.
  * amend change from 20070324, to not add 1 to the result of getmaxx
  and getmaxy in the Ada binding (report by Nicolas Boulenguez for
  thread in comp.lang.ada).
  * build-fix Ada95/samples for gnat 4.5
  * spelling fixes for Ada95/samples/explain.txt
  * fixes for Ada95 binding
* Wed Nov 16 2011 werner@suse.de
- Split libncurses(w) into libncurses(w)+libtinfo to be able to
  link python against wide libncursesw and libreadline which is
  linked with libtinfo only (bnc#729226)
* Fri Sep 30 2011 uli@suse.com
- cross-build fixes: use %%configure macro, use host's tic/tack
  for build, don't ldd tack
* Thu Sep 29 2011 dmueller@suse.de
- fix build under qemu for the ARM port
* Tue Mar  8 2011 werner@suse.de
- Add ncurses patch 5.8.20110307
  * revert changes to limit-checks from 20110122 (Debian #616711).
  * corrected a minor sign error in a field of Low_Level_Field_Type, to
  conform to form.h.
  * replaced C_Int by Curses_Bool as return type for some callbacks, see
  fieldtype(3FORM).
* Mon Mar  7 2011 werner@suse.de
- Add ncurses patch 5.8.20110305
  * fix an off-by-one error in _nc_slk_initialize() from 20100605 fixes
  for compiler warnings (report by Nicolas Boulenguez).
* Thu Mar  3 2011 werner@suse.de
- Update to ncurses 5.8
  * change open() in _nc_read_file_entry() to fopen() for consistency
  with write_file().
  * modify misc/run_tic.in to create parent directory, in case this is
  a new install of hashed database.
  * add cons25-debian entry (patch by Brian M Carlson, Debian #607662).
  * add xterm-utf8 entry as a demo of the U8 feature -TD
  * add U8 feature to denote entries for terminal emulators which do not
  support VT100 SI/SO when processing UTF-8 encoding -TD
  * improve the NCURSES_NO_UTF8_ACS feature by adding a check for an
  extended terminfo capability U8 (prompted by mailing list
  discussion).
  * correct limit-checks in derwin().
  * fix a missing "weak" declaration for pthread_kill (patch by Nicholas Alcock).
  * improve documentation of KEY_ENTER in curs_getch.3x manpage (prompted
  by discussion with Kevin Martin).
  * document thick- and double-line symbols in curs_add_wch.3x manpage.
  * document WACS_xxx constants in curs_add_wch.3x manpage.
  * fix typo in man/default_colors.3x (patch by Tim van der Molen).
  * fix remaining strict compiler warnings in ncurses library ABI=5,
  except those dealing with function pointers, etc.
  * modify nc_tparm.h, adding guards against repeated inclusion, and
  allowing TPARM_ARG to be overridden.
  * suppress ncv in screen entry, allowing underline (patch by Alejandro R Sedeno).
  * also suppress ncv in konsole-base -TD
  * fixes in wins_nwstr() and related functions to ensure that special
  characters, i.e., control characters are handled properly with the
  wide-character configuration.
  * correct a comparison in wins_nwstr() (Redhat #661506).
  * correct help-messages in some of the test-programs, which still
  referred to quitting with 'q'.
  * add special case to _nc_infotocap() to recognize the setaf/setab
  strings from xterm+256color and xterm+88color, and provide a reduced
  version which works with termcap.
  * fix typo in rmso for tek4106 entry -Goran Weinholt
  * repurpose "gnome" terminfo entries as "vte", retaining "gnome" items
  for compatibility, but generally deprecating those since the VTE
  library is what actually defines the behavior of "gnome", etc.,
  since 2003 -TD
  * correct parsing of relative tab-stops in tabs program (report by
  Philip Ganchev).
  * adjust configure script so that "t" is not added to library suffix
  when weak-symbols are used, allowing the pthread configuration to
  more closely match the non-thread naming (report by Werner Fink).
  * modify configure check for tic program, used for fallbacks, to a
  warning if not found.  This makes it simpler to use additonal
  scripts to bootstrap the fallbacks code using tic from the build
  tree (report by Werner Fink).
* Tue Dec 21 2010 werner@suse.de
- Change rxvt-unicode terminfo entry (Thanks darix)
* Tue Oct 12 2010 werner@suse.de
- Enforce the correct libraries for tic to generate the fallback.c
* Tue Oct 12 2010 werner@suse.de
- Avoid libncursest6 by re-enabling weak symbol for pthread_kill()
- Fix broken manual page terminfo(5) by disabling tbl during install
- Add ncurses*-config manual pages to file list of devel package
* Mon Oct 11 2010 werner@suse.de
- Update to test version 5.7.20101009 (bnc#644831 and bnc#540571)
  * correct comparison used for setting 16-colors in linux-16color
    entry (Novell #644831) -TD
  * improve linux-16color entry, using "dim" for color-8 which makes it
    gray rather than black like color-0 -TD
  * add checks in tic for inconsistent cursor-movement controls, and for
    inconsistent printer-controls.
  * fill in no-parameter forms of cursor-movement where a parameterized
    form is available -TD
  * fill in missing cursor controls where the form of the controls is
    ANSI -TD
  * fix inconsistent punctuation in form_variables manpage (patch by
    Sven Joachim).
  * add parameterized cursor-controls to linux-basic (report by Dae) -TD
  * add "XT" capability to entries for terminals that support both
    xterm-style mouse- and title-controls, for "screen" which
    special-cases TERM beginning with "xterm" or "rxvt" -TD
  * add configure check for pthread_kill(), needed for some old
    platforms.
  * modify nsterm, xnuppc and tek4115 to make sgr/sgr0 consistent -TD
  * add check in terminfo source-reader to provide more informative
    message when someone attempts to run tic on a compiled terminal
    description (prompted by Debian #593920).
  * note in infotocap and captoinfo manpages that they read terminal
    descriptions from text-files (Debian #593920).
  * improve acsc string for vt52, show arrow keys (patch by Benjamin
    Sittler).
  * correct a typo in mk-1st.awk (patch by Gabriele Balducci)
    (cf: 20100724)
  * document tabs "-0" and "-8" options in manpage.
  * add a check in tic for missing set_tab if clear_all_tabs given.
  * add mlterm+256color entry, for mlterm 3.0.0 -TD
  * fix configure script for combining --with-pthread
    and --enable-weak-symbols options.
  * add configure option --enable-pthreads-eintr to control whether the
    new EINTR feature is enabled.
  * modify logic in pthread configuration to allow EINTR to interrupt
    a read operation in wgetch() (Novell #540571, patch by Werner Fink).
  * modify _nc_capcmp() to work with cancelled strings.
  * correct translation of "^" in _nc_infotocap(), used to transform
    terminfo to termcap strings
  * simplify logic in _nc_get_screensize() to make it easier to see how
    environment variables may override system- and terminfo-values
    (prompted by discussion with Igor Bujna).
  * add check if Gpm_Open() returns a -2, e.g., for "xterm".  This is
    normally suppressed but can be overridden using $NCURSES_GPM_TERMS.
    Ensure that Gpm_Close() is called in this case.
  * use va_copy() in _nc_printf_string() to avoid conflicting use of
    va_list value in _nc_printf_length() (report by Wim Lewis).
  * add several screen-bce.XXX entries -TD
  * update mrxvt terminfo entry -TD
  * modify win_driver.c to support mouse single-clicks.
  * correct name for termlib in ncurses*-config, e.g., if it is renamed
    to provide a single file for ncurses/ncursesw libraries (patch by
    Miroslav Lichvar).
  * for term-driver configuration, ensure that the driver pointer is
    initialized in setupterm so that terminfo/termcap programs work.
  * amend fix for Debian #542031 to ensure that wattrset() returns only
    OK or ERR, rather than the attribute value (report by Miroslav
    Lichvar).
  * reorder WINDOWLIST to put WINDOW data after SCREEN pointer, making
    _nc_screen_of() compatible between normal/wide libraries again (patch
    by Miroslav Lichvar)
  * modify win_driver.c to initialize TERMINAL struct so that programs
    such as test/lrtest.c and test/ncurses.c which test string
    capabilities can run.
* Tue Sep  7 2010 aj@suse.de
- BuildRequire gpm-devel
* Wed Jul 14 2010 werner@suse.de
- List authors in contribution order
* Fri Jul  2 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Fri May  7 2010 werner@suse.de
- Ad workaround to enforce that the terminal rading thread will
  interrupted by SIGWINCH (bnc#540571)
* Fri Jan 15 2010 werner@suse.de
- Disable experimetal term-driver API as this crash on NULL
  pointer function _nc_globals.term_driver
* Tue Jan 12 2010 werner@suse.de
- Update to test version 5.7.20100109
  * add tiparm(), based on review of X/Open Curses Issue 7.
  * minor improvement to tic's checking of similar SGR's to allow for the
    most common case of SGR 0.
  * modify getmouse() to act as its documentation implied, returning on
    each call the preceding event until none are left.  When no more
    events remain, it will return ERR.
  * add bterm terminfo entry, based on bogl 0.1.18 -TD
  * minor fix to rxvt+pcfkeys terminfo entry -TD
  * update minix terminfo entry -TD
  * add bw (auto-left-margin) to nsterm* entries (Benjamin Sittler)
  * correct transfer of multicolumn characters in multirow
    field_buffer(), which stopped at the end of the first row due to
    filling of unused entries in a cchar_t array with nulls.
  * updated nsterm* entries (Benjamin Sittler, Emanuele Giaquinta)
  * modify _nc_viscbuf2() and _tracecchar_t2() to show wide-character nulls.
  * fix case where progs/tput is used while sp-funcs is configure; this
    requires save/restore of out-character function from _nc_prescreen
    rather than the SCREEN structure (report by Charles Wilson).
  * limit hashing for termcap-names to 2-characters (Ubuntu #481740).
  * fix a regression in _nc_ripoffline which made test/ncurses.c not show
    soft-keys, broken in 20090927 merging.
  * update nsterm entries (patch by Benjamin C W Sittler, prompted by
    discussion with Fabian Groffen in GenToo #206201).
  * add test/xterm-256color.dat
  * modify _nc_wgetch() to check for a -1 in the fifo, e.g., after a
    SIGWINCH, and discard that value, to avoid confusing application
    (patch by Eygene Ryabinkin, FreeBSD bin/136223).
  * modify handling of $PKG_CONFIG_LIBDIR to use only the first item in
    a possibly colon-separated list (Debian #550716).
  * fix a sign-extension bug in unget_wch() (report by Mike Gran).
  * remove unnecessary kcan assignment to ^C from putty (Sven Joachim)
  * add ccc and initc capabilities to xterm-16color -TD
  * add linux-16color
  * correct initc capability of linux-c-nc end-of-range
  * completed integrating "sp-funcs" by Juergen Pfeifer in ncurses
    library (some work remains for forms library).
  * fix typo s/is_timeout/is_notimeout/ which made "man is_notimeout" not work.
  * add null-pointer checks to other opaque-functions.
  * add is_pad() and is_subwin() functions for opaque access to WINDOW
    (discussion with Mark Dickinson).
  * correct merge to lib_newterm.c, which broke when sp-funcs was enabled.
  * build-fix for building outside source-tree (report by Sven Joachim).
  * fix Debian lintian warning for man/tabs.1 by making section number
    agree with file-suffix (report by Sven Joachim).
  * workaround for bug in g++ 4.1-4.4 warnings for wattrset() macro on
    amd64 (Debian #542031).
  * modify wgetch() to ensure it checks SIGWINCH when it gets an error
    in non-blocking mode (patch by Clemens Ladisch).
  * fix configure script option --with-database, which was coded as an
    enable-type switch.
  * modify lib_addch.c to compensate for removal of wide-character test
    from unctrl() in 20090704 (Debian #539735).
  * modify _nc_find_type_entry() to use hashing.
  * modify length returned by getcchar() to count the trailing null
    which is documented in X/Open (cf: 20020427).
  * improve performance of tigetstr, etc., by using hashing code from tic.
  * minor fixes for memory-leak checking.
  * remove wide-character checks from unctrl() (patch by Clemens Ladisch).
  * revise wadd_wch() and wecho_wchar() to eliminate dependency on unctrl().
  * update llib-lncurses[wt] to use sp-funcs.
  * move definition for NCURSES_WRAPPED_VAR back to ncurses_dll.h, to
    make includes of term.h without curses.h work (report by "Nix").
  * fix a regression in lib_tputs.c, from ongoing merges.
  * fix an infinite recursion when adding a legacy-coding 8-bit value
    using insch() (report by Clemens Ladisch).
  * work around antique BSD game's manipulation of stdscr, etc., versus
    SCREEN's copy of the pointer (Debian #528411).
  * add a cast to wattrset macro to avoid compiler warning when comparing
    its result against ERR (adapted from patch by Matt Kraii, Debian #528374).
  * add vwmterm terminfo entry (patch by Bryan Christ).
  * build fix for _nc_free_and_exit() change in 20090418 (report by Christian Ebert).
  * extend ansi.sys pfkey capability from kf1-kf10 to kf1-kf48, moving
    function key definitions from emx-base for consistency -TD
  * improve install-rules for pc-files (patch by Miroslav Lichvar).
  * make it work with $DESTDIR
  * modify init_pair() to allow caller to create extra color pairs beyond
    the color_pairs limit, which use default colors (request by Emanuele Giaquinta).
  * fix typo "==" where "=" is needed in ncurses-config.in and
    gen-pkgconfig.in files (Debian #512161).
  * add screen.Eterm terminfo entry (GenToo #124887) -TD
  * add case for FreeMINT to configure macro CF_XOPEN_SOURCE (patch from
    GenToo #250454).
  * add check in mouse-driver to disable connection if GPM returns a
    zero, indicating that the connection is closed (Debian #506717,
    adapted from patch by Samuel Thibault).
  * turn on _XOPEN_CURSES definition in curses.h
  * add eterm-color entry (report by Vincent Lefevre) -TD
  * add a manpage to discuss memory leaks.
  * add teraterm4.59 terminfo entry, use that as primary teraterm entry, rename
    original to teraterm2.3 -TD
  * update "gnome" terminfo to 2.22.3 -TD
  * update "konsole" terminfo to 1.6.6, needs today's fix for tic -TD
  * add "aterm" terminfo -TD
  * add "linux2.6.26" terminfo -TD
  * add logic to tic for cancelling strings in user-defined capabilities,
    overlooked til now.
  * add configure option --disable-tic-depends to make explicit whether
    tic library depends on ncurses/ncursesw library, amends change from
    20080823 (prompted by Debian #501421).
  * add environment variable NCURSES_GPM_TERMS to allow override to use
    GPM on terminals other than "linux", etc.
  * disable GPM mouse support when $TERM does not happen to contain
    "linux", since Gpm_Open() no longer limits its assertion to terminals
    that it might handle, e.g., within "screen" in xterm.
  * fix bug in mouse code for GPM from 20080920 changes (reported in
    Debian #500103, also Miroslav Lichvar).
  * fix a memory leak when failure to connect to GPM.
  * correct check for notimeout() in wgetch() (report on linux.redhat
    newsgroup by FurtiveBertie).
  * corrected fix for --enable-weak-symbols (report by Frederic L W Meunier).
  * add configure check for awk programs unable to handle big-strings,
    use that to improve the default for --enable-big-strings option.
  * makefile-fixes for --enable-weak-symbols (report by Frederic L W Meunier).
  * consistently use NCURSES_BOOL in lib_gen.c
  * filter #line's from lib_gen.c
  * use pthread_mutexattr_init() for initializing pthread_mutexattr_t,
    makes threaded code work on HPUX 11.23
  * fix a bug in demo_menus in freeing menus (cf: 20080804).
  * modify configure script for the case where tic library is used (and
    possibly renamed) to remove its dependency upon ncurses/ncursew
    library (patch by Dr Werner Fink).
  * add Eterm-256color, Eterm-88color and rxvt-88color (prompted by
    Debian #495815) -TD
  * add configure option --enable-weak-symbols to turn on new feature.
  * add configure-check for availability of weak symbols.
  * modify linkage with pthread library to use weak symbols so that
    applications not linked to that library will not use the mutexes,
    etc.  This relies on gcc, and may be platform-specific (patch by Dr Werner Fink).
  * add note to INSTALL to document limitation of renaming of tic library
    using the --with-ticlib configure option (report by Dr Werner Fink).
  * document (in manpage) why tputs does not detect I/O errors (prompted
    by comments by Samuel Thibault).
* Sat Dec 12 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Sun Dec  6 2009 jengelh@medozas.de
- enable parallel building
* Sat Nov 14 2009 pbaudis@suse.cz
- Add doc/terminfo.src.bz2 reference to /etc/termcap
- Update patches to apply with fuzz 0
* Wed Jan  7 2009 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Fri Nov 14 2008 werner@suse.de
- Do not free arrays and strings from static fallback entries (bnc#443683)
* Thu Sep  4 2008 werner@suse.de
- Correct order of include paths in ncurses6 case
* Mon Sep  1 2008 werner@suse.de
- Provide also termcap.h in /usr/include
* Thu Aug 28 2008 ro@suse.de
- require libncurses5 _and_ libncurses6 from ncurses-devel
  (avoid having a version with only static libs in the
  build environment to prevent static linking fallback)
* Mon Aug 18 2008 werner@suse.de
- Use include directories more restrictive that is
  * /usr/include/ncurses/*.h for standard version
  * /usr/include/ncursesw/*.h for wide version
  * /usr/include/ncurses6/ncurses/*.h for ABI 6.0 standard version
  * /usr/include/ncurses6/ncursesw/*.h for ABI 6.0 wide version
- Make thread support using weak symbols that is be thread safe
  only for applications using the libpthread.
* Thu Aug 14 2008 werner@suse.de
- Update to test version 5.6.20080804
  * fix memory leaks in test/demo_menus
  * build-fixes for gcc 4.3.1
  * use NCURSES_MOUSE_MASK() in definition of BUTTON_RELEASE(), etc., to
    make those work properly with the "--enable-ext-mouse" configuration
    (cf: 20050205).
  * improve mlterm and mlterm+pcfkeys terminfo entries -TD
  * add null-pointer checks for cur_term in baudrate() and
    def_shell_mode(), def_prog_mode()
  * fix some memory leaks in delscreen() and wide acs.
  * modify test/ditto.c to illustrate multi-threaded use_screen().
  * finish changes to wgetch(), making it switch as needed to the
    window's actual screen when calling wrefresh() and wgetnstr().  That
    allows wgetch() to get used concurrently in different threads with
    some minor restrictions, e.g., the application should not delete a
    window which is being used in a wgetch().
  * simplify mutex's, combining the window- and screen-mutex's.
  * modify wgetch() to use the screen which corresponds to its window
    parameter rather than relying on SP; some dependent functions still
    use SP internally.
  * factor out most use of SP in lib_mouse.c, using parameter.
  * modify _nc_keypad() to make it switch temporarily as needed to the
    screen which must be updated.
  * wrap cur_term variable to help make _nc_keymap() thread-safe, and
    always set the screen's copy of this variable in set_curterm().
  * restore curs_set() state after endwin()/refresh() (report/patch
    Miroslav Lichvar)
  * corrected manpage description of setcchar()
  * fix for adding a non-spacing character at the beginning of a line
  * modify screen.* terminfo entries using new screen+fkeys to fix
    overridden keys in screen.rxvt (Debian #478094) -TD
  * simplify some loops with macros each_screen(), each_window() and
    each_ripoff().
  * fix typo in form.3x
  * add screen.rxvt terminfo entry -TD
  * modify tic -f option to format spaces as \s to prevent them from
    being lost when that is read back in unformatted strings.
  * add locks for copywin(), dupwin(), overlap(), overlay() on their
    window parameters.
  * add locks for initscr() and newterm() on updates to the SCREEN
    pointer.
  * finish table in curs_thread.3x manpage.
* Wed May  7 2008 coolo@suse.de
- we need to obsolete ncurses 5.6 too, it's 10.3's version
* Tue Apr 22 2008 werner@suse.de
- Split ncurses into two separate packages ncurses-utils and
  terminfo-base to get the resolvers happy (bnc#381293)
* Sat Apr 19 2008 ro@suse.de
- update baselibs.conf
* Fri Apr 11 2008 werner@suse.de
- Do not dlopen libgpm if already loaded by runtime linker
* Thu Apr 10 2008 lrupp@suse.de
- rename ncurses to libncurses5 in baselibs.conf
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Apr 10 2008 werner@suse.de
- Small change to make the cflags work in ncurses{w,t,tw}-config
* Wed Apr  9 2008 werner@suse.de
- Update to test version 5.6.20080405 with the ABI of the upcoming
  verion 6.0. This includes already the patch for coverity report.
* Tue Apr  8 2008 werner@suse.de
- New sub package libncurses5 including the shared libraries and
  the required terminfo and termset data files.
* Mon Dec 10 2007 werner@suse.de
- Avoid endless loop in case of including the wrapper header
* Wed Dec  5 2007 werner@suse.de
- Add compatibility header files (bug #337412)
* Mon Oct 29 2007 pth@suse.de
- Fix configure so that ncurses-config doesn't erroneously
  report ncurses.h to reside in /usr/include/ncurses (#337412).
* Wed Sep  5 2007 werner@suse.de
- Move libncursesw to /lib or /lib64 (bug #307353)
* Fri May 25 2007 dmueller@suse.de
- add %%post/un to call ldconfig
* Tue May 15 2007 dmueller@suse.de
- move documentation to -devel package and bzip text files
* Tue Mar 20 2007 rguenther@suse.de
- Remove unused ed BuildRequires.
* Mon Mar 19 2007 rguenther@suse.de
- Make gpm support via libdl and gpm BuildRequires explicit.
* Wed Jan 31 2007 werner@suse.de
- Update to 5.6-20070128
- Split of tack a its own sub package to be able to specify the
  different licenses of ncurses and tack (bug #231835)
* Fri Nov 17 2006 werner@suse.de
- Revert broken change for rxvt from patchlevel 20051015 (#221259)
* Wed Nov 15 2006 werner@suse.de
- Disable experimental xmc-glitch (magic cookie support) for now
  because it breaks YaST2 on console/konsole (bug #199256)
* Wed Aug  2 2006 rguenther@suse.de
- Removed not required BuildRequires on sharutils.
* Mon Jul 31 2006 schwab@suse.de
- Don't make stack executable.
- Remove executable bit from archives.
* Thu May 18 2006 werner@suse.de
- Update to 5.5-20060513
- Add rxvt-unicode terminfo entry
* Sun Apr  9 2006 werner@suse.de
- Removed enacs from xterm terminfo entry, the reason is that it
  would break non latin encodings and the xterm does not need it
  (See comment #11 of bug #163715).
* Sat Apr  8 2006 werner@suse.de
- Enable the script to get better termcap entries for arious linux
  console types (bug #163715)
* Fri Apr  7 2006 werner@suse.de
- Add enacs capability to xterm terminfo entry (bug #163715)
- Also add a script to get better termcap entries for
  various linux console types, currently unused (bug#163715)
* Wed Mar  1 2006 werner@suse.de
- Add screen terminfo entry for 256 colors (bug #136684)
* Thu Feb 23 2006 werner@suse.de
- On 64 bit architectures: be backward compatible and use
  unsigned long for chtype (bug #151283)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 ro@suse.de
- create empty va_list instead of using NULL (not portable)
* Sat Dec 17 2005 kukuk@suse.de
- Remove /usr/lib/terminfo symlink
* Mon Oct 17 2005 werner@suse.de
- New version new bug, fix doubled man alias for tack (bug #127783)
* Thu Oct 13 2005 werner@suse.de
- Switch to ncurses version 5.5
- Re-enable curses.h to support both wide and normal characters
* Tue Jul 26 2005 werner@suse.de
- Move terminfo entry of mlterm to mlterm 2.9.2, add cvvis, and
  add it to the default terminfo entries of ncurses.
* Fri Jul 22 2005 werner@suse.de
- Update to patch level 20050716
* Tue Mar  1 2005 schwab@suse.de
- Fix return value of tigetflag.
* Thu Feb 24 2005 werner@suse.de
- Re-add the ESC[?1c to the civis for linux terminal (bug #65481)
* Thu Sep 16 2004 werner@suse.de
- Add attributes only on first byte of a wide character (#45479)
* Fri Sep 10 2004 werner@suse.de
- Make the wide fix smart
* Thu Sep  9 2004 werner@suse.de
- Re-enable wide fix for none wide terminals
* Fri Apr 23 2004 werner@suse.de
- Fix crash due called weak symbol without check
* Mon Apr  5 2004 werner@suse.de
- Be sure that EINTR from signal is correctly delivered to the
  reading thread. Use weak symbols to get it work even if not
  (p)threaded (bug #37273).
* Fri Apr  2 2004 werner@suse.de
- Use weak symbol pthread_setmask instead of sigprocmask if
  called by (p)threaded programs like yast2 (bug #37273).
* Thu Feb 19 2004 werner@suse.de
- Switch to official version of 5.4
* Wed Jan 28 2004 werner@suse.de
- Fix ACSC list of kterm e.g. for alsamixer
* Fri Jan 16 2004 werner@suse.de
- Update to 5.3-2004011 aka 5.4
- Strike nasty bug in wide version: now none UTF-8 graphic
  characters are usable in any locale again.
- Enable TRACE for debugging builds
* Mon Nov 24 2003 kukuk@suse.de
- Build as non-root
- Compile with no-execstack
* Tue Jul 29 2003 aj@suse.de
- Fix for changed chown behaviour.
* Mon Feb 24 2003 werner@suse.de
- Fix for ACS handling: YaST uses always correct fonts with UTF-8
* Tue Feb 11 2003 werner@suse.de
- Set TERM if not set, should help to build ncurses on all hosts
* Mon Feb 10 2003 werner@suse.de
- Update to patch level 20030201 due fix of mem leaks
* Thu Jan 30 2003 werner@suse.de
- Fix dynamic file listing for terminfo: also include sym links
* Wed Jan 22 2003 werner@suse.de
- Fix va handling in printw, disable experimental safe sprintf
  builtin (bug #22987)
* Thu Jan  9 2003 werner@suse.de
- Update to ncurses 5.3 patchlevel 20030105
- Make spec file more handy with automatic file list generation
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Aug 14 2002 mls@suse.de
- updated screen terminfo entry, added screen-bce and screen-s
* Fri Aug  9 2002 kukuk@suse.de
- ncurses-devel should require ncurses [Bug #17543]
* Tue Aug  6 2002 werner@suse.de
- Switch to XTerm for XFree86[tm] 4.2.0 (bug #15002)
* Wed Jul 31 2002 meissner@suse.de
- disabled -funroll-loops since it triggers a compiler bug on PPC.
* Thu Jul 18 2002 kukuk@suse.de
- Remove old /usr/lib compatibility links
* Mon Jul 15 2002 werner@suse.de
- Remove ich1 from xterm entry (bug #7857) hopefully most modern
  programs uses ncurses
- Add kcbt key for YaST
- remove ncurses 4.2
- Enable ncurses 5.2 with wide character support
* Fri Jun 14 2002 olh@suse.de
- do not build ncurses 4.2 on ppc64, it appears in Requires later
* Wed May 22 2002 olh@suse.de
- do not package libncurses.4 on ppc64, allow build as non-root
* Sat May 11 2002 schwab@suse.de
- Remove ia64 compiler workarounds.
* Wed Apr 17 2002 kukuk@suse.de
- Disable old ncurses libraries on x86_64
* Thu Feb 21 2002 werner@suse.de
- Fix cat&paste error of patch level 20010922
* Mon Feb 11 2002 ro@suse.de
- tar option for bz2 is "j"
* Wed Feb  6 2002 coolo@suse.de
- s390x is 64 bit too
* Fri Nov 23 2001 uli@suse.de
- fixed to build on ARM
* Sun Nov 11 2001 schwab@suse.de
- Fix last change, use vsscanf instead of vscanf.
* Fri Nov  9 2001 stepan@suse.de
- fix ncurses 4.2 on gcc3 distributions.
* Thu Oct  4 2001 werner@suse.de
- Update to ncurses 5.2 patch level 20011001
* Wed Jun  6 2001 bk@suse.de
- fix to compile on s390x (cursesw.cc)
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Wed Apr 11 2001 schwab@suse.de
- Reenable c++ bindings on ia64, instead use -O0 for c++.
* Thu Mar 22 2001 ro@suse.de
- added split aliases as provides
* Tue Mar 20 2001 schwab@suse.de
- Don't build c++ bindings and remove -funroll-loops on ia64 to work
  around compiler bug.
* Fri Mar 16 2001 ro@suse.de
- fix to compile on s390 (cursesw.cc)
* Mon Feb 19 2001 ro@suse.de
- fixed to compile on gcc-2.96 (include string.h)
* Fri Feb 16 2001 werner@suse.de
- We don't need include string.h more than once
- Update to patch 20010210
* Thu Feb 15 2001 stepan@suse.de
- add some includes to compile with newer gcc versions.
* Fri Dec 22 2000 werner@suse.de
- After a reset xterm should answer ^? on backarrow key
* Thu Dec  7 2000 werner@suse.de
- Add vt102 to fallback terminal descriptions
- Add xterm-basic only to ncurses
* Tue Nov 14 2000 werner@suse.de
- Try to solve boot straping without installed ncurses-devel
- Use newest terminfo sources for builtin fallback
- Re-enable ncurses-5.0-to-4.2-panel.patch for ncurses 4.2
- Move /usr/lib/lib*.so to ncurses-devel
* Mon Nov 13 2000 werner@suse.de
- Update to ncurses 5.2
- Fix replacement of marks within manual pages
- Set type of ospeed to speed_t
- Put development tools, headers and static libs into
  their own package ncurses-devel.
* Thu Oct 26 2000 kukuk@suse.de
- Rename sharutil to sharutils
* Sun Oct 15 2000 schwab@suse.de
- Fix libncurses.so link.
* Tue Oct 10 2000 werner@suse.de
- Update to 5.1 due to the better handling of string termination
  of terminfo entries (security, strcpy patch therefore).
* Fri Oct  6 2000 werner@suse.de
- Move strncpy to strlcpy which appends the terminating NUL
  character.
* Mon Oct  2 2000 werner@suse.de
- Use strncpy and strncat in lib_mvcur.c instead of the trustful
  strcpy and strcat.
* Sun Oct  1 2000 kukuk@suse.de
- Fix for compiling with new g++ on ia64
* Sun Oct  1 2000 kukuk@suse.de
- Don't use run_cmd.sh to create fallback.c
- Don't build compat ncurses 4.2 on new platforms
- Use rpm 3.0.5 macros for 32/64bit support
* Mon Sep  4 2000 werner@suse.de
- Correct documentation path
* Fri Jul  7 2000 werner@suse.de
- Make update mechanism compatible with rpm, yast and yast2
* Wed Jun 28 2000 werner@suse.de
- Better update mechanism (verified with 6.2, 6.3, 6.4, and 7.0)
- Update to patch level 20000624 due some bug fixes included there
- Fix due bug in lib_screen.c (causes SIGSEGV)
* Mon May 22 2000 werner@suse.de
- Use new macros to avoid removing files via symbolic linked
  directory which was a real directory. I use here not only
  %%ghost but also %%config(missingok) to avoid the buggy
  order of executing %%post install script. (There is no
  %%post remove script).
* Wed May 17 2000 werner@suse.de
- One fix more
* Tue May 16 2000 werner@suse.de
- Fix the post install script: usr/lib/tabset may empty
* Mon Apr  3 2000 bk@suse.de
- added workaround for bad %%{suse_update_config -f} handling on i386
  message was: suse_update_config: invalid option --
* Sat Apr  1 2000 bk@suse.de
- updated %%suse_update_config call for s390
* Fri Mar  3 2000 schwab@suse.de
- Fix for ia64.
- Update config.{guess,sub} from automake
* Thu Mar  2 2000 werner@suse.de
- Add patch for resize of subwindows relative to their parents
  (required for YaST2)
* Mon Feb 28 2000 werner@suse.de
- Add patch 20000226 which makes 20000219 work perfect
* Fri Feb 25 2000 werner@suse.de
- Add patch 20000219 which should help on setting default fg/bg
  off the most applications
* Fri Feb 18 2000 werner@suse.de
- Add patches 20000115, 20000122, 20000205, and 20000212
  * hopefully this fixes some coloring kludges
- Make $VENDOR work for all Linux architectures
- Fix kvt/gnome entries for SuSE
* Tue Feb 15 2000 schwab@suse.de
- Update config.{guess,sub} to latest version.
* Thu Feb  3 2000 ro@suse.de
- use "-O1" for ncurses-4.2 on alpha
* Thu Jan 20 2000 ro@suse.de
- don't build ncurses-4.2/c++/demo
* Tue Jan 18 2000 werner@suse.de
- Workaround for all system which uses _SYS_VA_LIST_H (e.g. PPC)
* Mon Jan 17 2000 werner@suse.de
- Hey here we are: libncurses 5.0
  * Use patches 19991030 upto 20000108
  * Make arch-suse-linux work
  * Use real intrinsic fallback term entries
  * Use setfsuid and setfsgid for suid programs (linux issue only)
  * Use our xterm standard (should be changed for xterm-4.0)
  * Add/update some common term entries
- Hold shared libncurses 4.2 libraries for backward compatibility
  and older programs
- Use /usr/share/man/
* Fri Oct 29 1999 werner@suse.de
- Remove buggy bool patch, sizeof the type bool should the same in
  C++ and C on any architecture.  This because libncurses is used
  by both type of C++ and C programs. Let configure do its job.
* Fri Oct 15 1999 werner@suse.de
- Last minor checks
- Move /usr/lib/terminfo/, /usr/lib/tabset/ to /usr/share/terminfo/,
  /usr/share/tabset/ and set a compatibility link.
- Check security fix, seems to work.
* Thu Oct 14 1999 werner@suse.de
- Port some patches from debian mainly security issues
- Use newer terminfo.src
- Move some common terminfo entries from terminfo packages
  to main packages ncurses
* Wed Oct 13 1999 werner@suse.de
- Add panel patch from ncurses 5.0
- Remove kbs=\177 for some terminals like some xterm types and
  vt100 to hold it compatible with other UNICES
- Update our xterm settings (with kbs=\177 and kdch1=\E[3~)
- Update the settings for xterm v4.0 but leave default on
  our old version which are compatible
- Add some dumb terminal type like switch, patch, net,
  network, arpanet, and dialup
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Mar 25 1999 ro@suse.de
- changed permissions (a+x) for libform,menu,panel
* Mon Mar 22 1999 florian@suse.de
- add compatibility link from /usr/share/{tabset,terminfo}
* Sat Sep  5 1998 ro@suse.de
- fixed neededforbuild
* Wed Jun  3 1998 florian@suse.de
- use major 4 for glibc2
* Wed Mar 11 1998 werner@suse.de
- Defines a xterm-xf86suse entry
  * use xterm-xf86-v33 with changes
- Use xterm-xf86suse for xterm
* Mon Mar  9 1998 bs@suse.de
- set executable bit to libncurses.so.3.0.*
* Mon Mar  2 1998 florian@suse.de
- update to ncurses 4.2
- use xterm for XFree86 3.3 and not 3.2...
* Mon Mar  2 1998 florian@suse.de
- mark /etc/termcap as %%config
* Fri Feb 20 1998 werner@suse.de
- redone fixes as to previous version
* Tue Feb 17 1998 florian@suse.de
- update to ncurses 4.2-beta1
* Thu Jan 29 1998 werner@suse.de
- add some settings for:
  * TERM=linux (cvvis and sgr0 added)
  * TERM=xterm (kf21 (shift F11) and kf22 (shift F12) added)
  * TERM=rxvt  (keypad keys correct defined, mc5 and mc4 added
  for printing, smacs and rmacs repaired, sgr added)
* Tue Nov 11 1997 ro@suse.de
- terminfo builds from same specfile
* Fri Oct 17 1997 ro@suse.de
- removed old lib 1.9.7a
  ready for autobuild
* Tue May 27 1997 florian@suse.de
- handle wrong TERM-settings for tput
- change xterm-entry in terminfo source file
* Tue May 20 1997 florian@suse.de
- update to version 4.1
* Wed Apr 30 1997 florian@suse.de
- mv /lib/libncurses.so.1.9* /usr/lib/
* Sun Apr 13 1997 florian@suse.de
- update to new version 970412
* Thu Jan  2 1997 werner@suse.de
- Anpassung von terminfo an das XTerm app-defaults
  - Einige Fixes in der Intialisierung und Handling
    von Escape-Sequenzen des xterms aus XFree86[tm]-3.2
* Thu Jan  2 1997 florian@suse.de
- update to version 961102
* Thu Jan  2 1997 florian@suse.de
- Update auf die neuste ncurses-Version.
- 'xterm' ist fuer XFree86 3.1.2G.  Falls jemand noch ein altes XFree86
  benutzen will, sollte man 'xterm-base' verwenden.
- Falls es Probleme gibt, kann man anstatt /lib/libncurses.so.1.9.9g
  auch /lib/libncurses.so.1.9.9e verwenden. (g-Version einfach umbenennen
  und ldconfig starten.) Dann sollte man aber keine Programme mehr
  kompilieren...
